package captcha.c01;

import drjava.util.FileUtil;

import java.io.File;
import java.io.IOException;

public class LoadCaptchas {
  public static void main(String[] args) throws Exception {
    int howMany = 60;
    System.out.println("Loading " + howMany + " captchas...");
    for (int i = 0; i < howMany; i++)
      loadACaptcha();
  }

  private static void loadACaptcha() throws IOException {
    String urlString = "http://textcaptcha.com/api/7p9l0aqjsg00gc0cw4oc4kook5768ch1/";
    String text = WebUtil.loadURL(urlString);

    Riddle riddle = TextcaptchaXmlParser.loadRiddle(text);
    String fileName = "captchas/captcha-" + riddle.getQuestionHash() + ".xml";
    File file = new File(fileName);
    file.getParentFile().mkdirs();
    if (file.exists())
      System.out.println("Oops! Captcha exists: " + fileName);
    else
      FileUtil.saveTextFile(fileName, text);
  }

}
