package captcha.c01;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import java.io.File;
import java.io.IOException;

public class TestParser {
  public static void main(String[] args) throws Exception {
    File file = new File("src/captcha/captcha1.xml");
    Riddle riddle = TextcaptchaXmlParser.loadRiddle(file);
    System.out.println(riddle.question);
    for (String hash : riddle.answerHashes) {
      System.out.println("  <" + hash + ">");
    }
    System.out.println(riddle.isAnswerCorrect("bla"));
    System.out.println(riddle.isAnswerCorrect("23"));
    System.out.println(riddle.isAnswerCorrect("twenty three"));
  }
}
