package captcha.c01;

import java.io.File;

public class TestSolving {
  public static void main(String[] args) throws Exception {
    File file = new File("src/captcha/captcha1.xml");
    Riddle riddle = TextcaptchaXmlParser.loadRiddle(file);
    riddle.print();

    RiddleToSolve riddleToSolve = new RiddleToSolve(riddle);
    RiddleSolver solver = new RiddleSolver();
    solver.setRiddle(riddleToSolve);

    solver.solveUntilDone();

    System.out.println("Solved: " + riddleToSolve.solved + " (attempts: " + riddleToSolve.attempts + ")");
    if (riddleToSolve.solved)
      System.out.println("Solution: " + riddleToSolve.solution);
  }

}