package captcha.c01;

import java.io.DataInputStream;
import java.io.IOException;
import java.net.URL;

public class WebUtil {
  /** This is for textual content, and it might convert line endings (turns them into \r\n) */
  public static String loadURL(String urlString) throws IOException {
    URL url = new URL(urlString);
    StringBuffer buffer = new StringBuffer();
    DataInputStream inputStream = new DataInputStream(url.openStream());
    while (true) {
      String line = inputStream.readLine();
      if (line == null) break;
      buffer.append(line).append("\r\n");
    }
    inputStream.close();
    String text = buffer.toString();
    return text;
  }
}
