package captcha.c02;

import captcha.c01.Riddle;
import captcha.c01.TextcaptchaXmlParser;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class CaptchasArchive {
  public List<Riddle> riddles = new ArrayList<Riddle>();

  public CaptchasArchive() {
  }

  public void load() {
    riddles = new ArrayList<Riddle>();
    File dir = new File("captchas");
    File[] files = dir.listFiles();
    for (File file : files) {
      if (file.getName().endsWith(".xml")) {
        Riddle riddle = TextcaptchaXmlParser.loadRiddle(file);
        riddles.add(riddle);
      }
    }
  }
}
