package captcha.c02;

import captcha.c01.RiddleToSolve;

public class MS1 implements MultiSolver {
  private Blackboard blackboard;

  public void go(Blackboard blackboard) {
    this.blackboard = blackboard;
    for (RiddleToSolve riddle : blackboard.riddlesToSolve) {
      tryKeywords(riddle);
    }
  }

  private void tryKeywords(RiddleToSolve riddle) {
    String[] words = riddle.riddle.question.split(" ");
    for (String word : words)
      riddle.trySolution(word);
  }
}
