package drjava.fm.fm01;

import drjava.util.GUIUtil;
import drjava.util.LetterLayout;
import drjava.util.TextView;
import prophecy.common.Prophecy;
import prophecy.common.gui.AutoVMExit;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class FileManager {
  private JFrame frame;
  private JComboBox cbWish;
  //private Sheet infoSheet;
  private TextView infoView;

  public static void main(String[] args) throws AWTException {
    AutoVMExit.install();
    Prophecy.initUI();
    new FileManager().showFrame();
  }

  private void showFrame() {
    cbWish = new JComboBox();
    cbWish.setEditable(true);
    ActionListener preview = new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        preview();
      }
    };
    cbWish.addActionListener(preview);
    makeSuggestions();

    //JTextField tfWish = new JTextField();
    JButton btnPreview = new JButton("Preview");
    btnPreview.addActionListener(preview);

    JPanel cmdPanel = new JPanel(new LetterLayout("LIIB"));
    cmdPanel.add("L", new JLabel("Enter your wish."));
    cmdPanel.add("I", cbWish);
    cmdPanel.add("B", btnPreview);

    //infoSheet = new Sheet();
    infoView = new TextView();

    frame = new JFrame();
    frame.getContentPane().setLayout(new LetterLayout(
      "C",
      "I",
      "I").setBorder(10).setSpacing(10));
    frame.getContentPane().add("C", cmdPanel);
    frame.getContentPane().add("I", infoView);
    frame.setSize(600, 400);
    GUIUtil.showFrame(frame);
  }

  private void preview() {
    StringBuffer buf = new StringBuffer();
    String wishText = (String) cbWish.getSelectedItem();
    wishText = wishText.trim();

    if (wishText.length() != 0) {
      buf.append("Your wish: \"" + wishText + "\"<br><br>");

      Wish wish = parseWish(wishText);
      if (wish == null)
        buf.append("? wish does not compute");
      else
        buf.append(wish.getHtmlPreview());
    }

    infoView.setText(buf.toString());
  }

  private Wish parseWish(String wishText) {
    return null;
  }

  private void makeSuggestions() {
    DefaultComboBoxModel model = new DefaultComboBoxModel();
    model.addElement("drives");
    model.setSelectedItem(null);
    cbWish.setModel(model);
  }
}
