package drjava.superversion.filesystem;

public interface MutableDirectory extends Directory {
  /** delete a file from this directory or a subdirectory
   * @param path slash-separated file path
   */
  public void deleteFile(String path);

  void create();

  /** create or overwrite a file in this directory or a subdirectory
   * @param path slash-separated file path
   * @param contents file contents
   */
  void saveFile(String path, byte[] contents);
}
