package eyedev._09;

import prophecy.common.image.BWImage;

import java.awt.*;
import java.util.ArrayList;
import java.util.List;

public class Segment {
  public SegmentLevel level;
  public Rectangle boundingBox;
  public BWImage image; // image of the segment (not whole image segment was extracted out of)
  public List<Segment> subsegments = new ArrayList<Segment>();

  public Segment(SegmentLevel level, Rectangle boundingBox, BWImage image) {
    this.level = level;
    this.image = image;
    this.boundingBox = boundingBox;
  }
}
