package eyedev._12;

import prophecy.common.image.RGBImage;

import java.awt.*;

public class Tile {
  private Tiles tiles;
  private int col;
  private int row;

  public Tile(Tiles tiles, int col, int row) {
    this.tiles = tiles;
    this.col = col;
    this.row = row;
  }

  public RGBImage getImage() {
    Rectangle rect = getRect();
    try {
      return tiles.image.clip(rect);
    } catch (RuntimeException e) {
      System.out.println(rect);
      throw e;
    }
  }

  public Rectangle getRect() {
    return new Rectangle(col*tiles.tileSize, row*tiles.tileSize, tiles.tileSize, tiles.tileSize);
  }
}
