package eyedev._12;

import prophecy.common.image.RGBImage;

public class Tiles {
  RGBImage image;
  int tileSize, cols, rows;

  public Tiles(RGBImage image, int tileSize) {
    this.image = image;
    this.tileSize = tileSize;
    cols = image.getWidth()/tileSize;
    rows = image.getHeight()/tileSize;
  }

  public RGBImage getImage() {
    return image;
  }

  public int getTileSize() {
    return tileSize;
  }

  public int getCols() {
    return cols;
  }

  public int getRows() {
    return rows;
  }

  public Tile getTile(int x, int y) {
    return new Tile(this, x, y);
  }
}
