package newinternet.ni01;

import prophecy.common.socket.SocketCallable;
import prophecy.common.socket.SocketHandler;

public class CallHandler implements SocketCallable {
  private Node node;

  public CallHandler(Node node) {
    this.node = node;
  }

  public void takeCall(SocketHandler handler) {
    handler.println("Hello, this is the New Internet at " + node.getIP() + ". What can I do for you?");
    FreeFormCLI cli = new FreeFormCLI();
    cli.setReadyMsg("[] ready");
    cli.addStandardCmds();
    cli.addCmd(new CmdFileTransfer(node.makeFileTransferHandler()));
    cli.loop(handler);
  }
}
