package newinternet.ni03;

import captcha.c01.WebUtil;

import java.io.DataInputStream;
import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;

public class BlogMirrorTool {
  public static void main(String[] args) throws IOException {
    String rssURL = "http://kriegs.blog.de/feed/rss/posts/";
    //String rssURL = "http://kriegs.blog.de/";
    System.out.println("Loading " + rssURL);
    String rss = loadURL(rssURL);
    System.out.println("RSS loaded (" + rss.length() + " chars)");
    System.out.println();
    System.out.println(rss);
  }

  public static String loadURL(String urlString) throws IOException {
    URL url = new URL(urlString);
    StringBuffer buffer = new StringBuffer();
    URLConnection connection = url.openConnection();

    // Without a user agent id, blog.de will not serve any data.
    // However, any id will do, even "My own tool"
    // We'll stick to some browser-like id for simplicity
    connection.setRequestProperty("User-Agent", "Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.7) Gecko/20100713");
    //connection.setRequestProperty("User-Agent", "My own tool");

    connection.connect();
    DataInputStream inputStream = new DataInputStream(connection.getInputStream());
    while (true) {
      String line = inputStream.readLine();
      if (line == null) break;
      buffer.append(line).append("\r\n");
    }
    inputStream.close();
    String text = buffer.toString();
    return text;
  }
}
