/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy;

import java.io.File;
import java.io.IOException;

public class AddLicenseHeaders {
  public static void main(String[] args) throws IOException {
    String header1 = "/*\n" +
      "(C) 2007 Stefan Reich (jazz@drjava.de)\n" +
      "This source file is part of Project Prophecy.\n" +
      "For up-to-date information, see http://www.drjava.de/prophecy\n" +
      "\n" +
      "This source file is free software; you can redistribute it and/or\n" +
      "modify it under the terms of the GNU Lesser General Public\n" +
      "License as published by the Free Software Foundation, version 2.1.\n";
    String headerOld = header1 + "\n*/\n\n";
    String header = header1 + "*/\n\n";
    drjava.tools.AddLicenseHeader addLicenseHeader = new drjava.tools.AddLicenseHeader(header);
    addLicenseHeader.addOldHeader(headerOld);
    addLicenseHeader.setExecute(true);
    addLicenseHeader.scan(new File("src/prophecy"));
    addLicenseHeader.scan(new File("../Util/src"));
    addLicenseHeader.scan(new File("../Matrix/src"));
  }
}