/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.audio.a06;

import prophecy.audio.a01.Feature;

public class Ln<A> extends Feature<A> {
  private Feature<A> feature;

  public Ln(Feature<A> feature) {
    super("ln:" + feature.getName());
    this.feature = feature;
  }

  public double extract(A a) {
    return Math.log(feature.extract(a));
  }
}