/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.audio.a07;

import java.util.List;

public interface Tunable<A> {
  double getScore(A a);
  List<Parameter> getParameters(A a);
  A getTunedClone(A a, Parameter parameter, double newValue);
}