/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.audio.a08;

import prophecy.common.Prophecy;
import prophecy.audio.a06.A06;

import java.io.File;
import java.io.IOException;

public class SeedSampleInfo {
  public static void main(String[] args) throws IOException {
    A06 a6 = new A06();
    SampleInfo sampleInfo = new SampleInfo();
    sampleInfo.getMarkers().addAll(a6.getExample1().markers);
    SampleInfo.saveSampleInfo(new File(Prophecy.dataDir() + "audio/flawless"), sampleInfo);

    sampleInfo = new SampleInfo();
    sampleInfo.getMarkers().addAll(a6.getExample2().markers);
    SampleInfo.saveSampleInfo(new File(Prophecy.dataDir() + "audio/flawless2"), sampleInfo);
  }
}