/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.ce.ce01;

import static drjava.util.ObjectUtil.nice;

public class PossibleReaction<B> {
  private Object a;
  private Class<B> bClass;

  public PossibleReaction(Object a, Class<B> bClass) {
    this.a = a;
    this.bClass = bClass;
  }

  public boolean runWith(B b) {
    return false;
  }

  public Object getA() {
    return a;
  }

  public Class getBClass() {
    return bClass;
  }

  public String toString() {
    return "PossibleReaction [" + nice(a) + " + a " + nice(bClass) + "]";
  }
}