/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.ce.ce02;

import static drjava.util.ObjectUtil.nice;

public class Ghost {
  private Object ingredient;

  public Ghost(Object ingredient) {
    this.ingredient = ingredient;
  }

  public String toString() {
    return "Ghost " + nice(ingredient);
  }

  public Object getIngredient() {
    return ingredient;
  }
}