/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common;

import junit.framework.TestCase;

public class HallOfFameTest extends TestCase {
  public void testMinDiff() {
    HallOfFame<String> hallOfFame = new HallOfFame<String>();
    hallOfFame.setMinDiff(1.0);
    hallOfFame.add("a", 5.0);
    hallOfFame.add("b", 3.0);
    hallOfFame.add("c", 3.0);
    hallOfFame.add("d", 3.5);
    hallOfFame.add("e", 4.5);
    assertEquals(2, hallOfFame.size());
    assertEquals("a", hallOfFame.getList().get(0));
    assertEquals("b", hallOfFame.getList().get(1));
  }
}