/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common;

public class Named<A> implements InspectionProxy {
  private String name;
  private A object;

  public Named(String name, A object) {
    this.object = object;
    this.name = name;
  }

  public String getName() {
    return name;
  }

  public A getObject() {
    return object;
  }

  public String toString() {
    return name;
  }
}