/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common;

import prophecy.common.Prophecy;
import prophecy.common.lifeform.Lifeform;

import javax.swing.*;
import java.awt.event.ActionEvent;

public class ProphecyGUIUtil {
  public static void registerF10(JComponent component, final Lifeform lifeform) {
    component.getInputMap(JComponent./*WHEN_ANCESTOR_OF_FOCUSED_COMPONENT*/WHEN_IN_FOCUSED_WINDOW)
      .put(KeyStroke.getKeyStroke("F10"), "debug");
    component.getActionMap().put("debug", new AbstractAction() {
      public void actionPerformed(ActionEvent e) {
        Prophecy.debug(lifeform);
      }
    });
  }
}