/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common;

import prophecy.t.t12.Event;
import drjava.util.Bus;
import drjava.util.Port;
import static drjava.util.ObjectUtil.nice;

public class UncaughtEventsBus {
  private static Bus<Event> bus = new Bus<Event>();

  public static void receive(Event event) {
    bus.receive(event);
    System.out.println("Uncaught event: " + nice(event));
  }

  public static void addReceiver(Port<Event> receiver) {
    bus.addReceiver(receiver);
  }
}