/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common.lifeform;

import drjava.util.AbstractLogger;

import java.util.ArrayList;
import java.util.List;

public class MemoryLogger extends AbstractLogger {
  private List<LogEntry> log;

  public MemoryLogger() {
    log = new ArrayList<LogEntry>();
  }

  public MemoryLogger(List<LogEntry> log) {
    this.log = log;
  }

  public void log(String text) {
    log.add(new LogEntry(text));
  }

  public List<LogEntry> getLog() {
    return log;
  }
}