/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common.lifeform;

public class ObjectID {
  private long id;

  public ObjectID(long id) {
    this.id = id;
  }

  public long getId() {
    return id;
  }

  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;

    ObjectID objectID = (ObjectID) o;

    if (id != objectID.id) return false;

    return true;
  }

  public int hashCode() {
    return (int) (id ^ (id >>> 32));
  }

  public String toString() {
    return String.valueOf(id);
  }
}