/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e02;

import prophecy.e.e01.Analyzer;

public class DistributionMaker implements Analyzer<Double, Distribution> {
  int count;
  double sum;

  public void addData(Double f) {
    ++count;
    sum += f;
  }

  public Distribution getResult() {
    return new Distribution(count == 0 ? 0 : sum/count);
  }
}