/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e04;

import drjava.util.AnalogSet;

public class Prioritizer<A> {
  private AnalogSet<A> options = new AnalogSet<A>();

  public void add(A a, double value) {
    options.add(a, value);
  }

  public A getBest() {
    if (options.isEmpty())
      return null;
    return options.sortedByDescValue().get(0); // TODO: optimize
  }
}