/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e05;

import drjava.util.RealRandomizer;
import prophecy.common.image.RGBImage;

public class RandomGuess extends StationPartSpotter {
  public void train(RGBImage clip, boolean isStationPart) {
  }

  public FuzzyBool isStationPart(RGBImage image) {
    return new FuzzyBool(new RealRandomizer().random(2) == 0);
  }
}