/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e06;

import prophecy.common.image.BWImage;
import prophecy.common.image.ImageProcessing;
import prophecy.e.e01.Metric;

public class BWImageMetric implements Metric<BWImage> {
  public double getDistance(BWImage a, BWImage b) {
    return ImageProcessing.diff(a.toRGB(), b.toRGB()).averageBrightness();
  }
}