/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e07;

import prophecy.common.InspectionUtil;
import prophecy.e.e05.SpotStationParts;
import prophecy.e.e05.VDiff;

import java.io.IOException;

public class E7 {
  public static void main(String[] args) throws IOException {
    SpotStationParts contest = new SpotStationParts();
    contest.setRounds(1);
    contest.addContestant(new VDiff());
    VDiff3 vDiff3 = new VDiff3();
    contest.addContestant(vDiff3);
    contest.run();
    InspectionUtil.inspect(vDiff3);
  }
}