/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e07;

import prophecy.common.image.BWImage;
import prophecy.common.image.ImageProcessing;

import java.util.List;

public class PreprocessedItem {
  public final BWImage clip;
  public final boolean stationPart;
  final int miniClipSize = 4, step = 2;

  public PreprocessedItem(BWImage clip, boolean stationPart) {
    this.clip = clip;
    this.stationPart = stationPart;
  }

  public List<BWImage> getMiniClips() {
    return ImageProcessing.getMiniclips(clip, miniClipSize, miniClipSize, step, step);
  }

}