/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e12;

import prophecy.common.image.ImageProcessing;
import prophecy.common.image.RGBImage;

public class VDiff extends ImageFeature {
  public VDiff() {
    super("vdiff");
  }

  public float extract(RGBImage image) {
    return (float) ImageProcessing.vdiff(image).averageBrightness();
  }
}