/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe01;

import liburbi.UClient;
import static prophecy.joe.joe01.UrbiUtil.send;
import static prophecy.joe.joe01.UrbiUtil.sendFile;

import java.io.IOException;

public class Scanner {
  private UClient client;

  public Scanner(UClient client) throws IOException {
    this.client = client;
    sendFile(client, "urbisrc/knightrider.u");
  }

  /** touching left and right edge counts as 1 beat */
  public void setBPM(double bpm) throws IOException {
    int speed = (int) (1000*60/6/bpm);
    send(client, "rob.setSpeed(" + speed + ");");
  }
}