/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe04;

import prophecy.joe.joe01.Aibo;

import java.util.ArrayList;
import java.util.List;

public class Joe04 {
  private Aibo aibo;
  private List<Action> actions = new ArrayList<Action>();

  public Joe04(Aibo aibo) {
    this.aibo = aibo;
  }

  public void startAction(Action action) {
    action.setAibo(aibo);
    actions.add(action);
    action.start();
  }

  public Aibo getAibo() {
    return aibo;
  }
}