/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe04;

import prophecy.joe.joe02.MarySpeech;

public class UiHuch implements BallListener {
  private final MarySpeech speech;

  public UiHuch(MarySpeech speech) {
    this.speech = speech;
  }

  public void ballAppeared() {
    speech.say("Ui");
  }

  public void ballDisappeared() {
    speech.say("Huch");
  }

  public void ballMoved() {
  }
}