/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe06;

import liburbi.UClient;
import prophecy.joe.joe07.JoeServer;

public class Joe06Server extends JoeServer {
  public Joe06Server() {
    super("Joe06");
  }

  protected AbstractJoe makeJoe(UClient client) {
    return new Joe06(new RetroUI06("Joe06"), client);
  }

  public static void main(String[] args) {
    Joe06Server server = new Joe06Server();
    server.asMainApplication();
    server.config();
  }

}