/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe09;

import liburbi.UClient;
import prophecy.joe.joe06.AbstractJoe;
import prophecy.joe.joe07.JoeServer;

public class Joe09Server extends JoeServer {
  public Joe09Server() {
    super("Joe09");
  }

  protected AbstractJoe makeJoe(UClient client) {
    return new Joe09(client, this);
  }

  public static void main(String[] args) {
    JoeServer server = makeServer();
    server.asMainApplication();
    server.setQuickConnect(true);
    server.connect();
  }

  private static JoeServer makeServer() {
    return new Joe09Server();
  }

}