/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m02;

import java.util.Set;

public abstract class Model<A> {
  public abstract Model<A> plusExample(A example);
  public abstract Set<A> getExamples();
  public abstract Prediction<A> predict();

  public void describeYourself(Typewriter typewriter, String watchedObjectDesc) {
  }

  public abstract boolean isMature();
}