/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m02;

import java.util.Collections;
import java.util.Set;

public class NoInput<A> extends Model<A> {
  public Model<A> plusExample(A example) {
    return new Stable<A>(example, 1);
  }

  public Set<A> getExamples() {
    return Collections.emptySet();
  }

  public Prediction<A> predict() {
    return null;
  }

  public boolean isMature() {
    return false;
  }
}