/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m02;

public class SimpleBoolWatcher extends BaseWatcher<Boolean> {
  public void describeYourself(Typewriter typewriter, String watchedObject) {
    boolean containsTrue = getModel().getExamples().contains(Boolean.TRUE);
    boolean containsFalse = getModel().getExamples().contains(Boolean.FALSE);
    if (containsTrue && !containsFalse)
      typewriter.addSentence("There is always " + watchedObject);
    if (!containsTrue && containsFalse)
      typewriter.addSentence("There is never " + watchedObject);
    if (containsTrue && containsFalse)
      typewriter.addSentence("Sometimes there is " + watchedObject);
  }
}