/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m03;

import drjava.util.ObjectUtil;

public class Comparison extends Checklist.Check {
  private Object a;
  private Object b;

  public Comparison(String description, Object a, Object b) {
    super(description, ObjectUtil.equal(a, b));
    this.a = a;
    this.b = b;
  }

  public Object getA() {
    return a;
  }

  public Object getB() {
    return b;
  }
}