/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m03;

import prophecy.m.m02.BaseWatcher;

public class PropertyWatcher {
  private String propertyName;
  private BaseWatcher<Object> watcher;

  public PropertyWatcher(String propertyName) {
    this.propertyName = propertyName;
    watcher = new BaseWatcher<Object>();
  }

  public void feed(Object value) {
    watcher.feed(value);
  }
}