/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m04;

import prophecy.common.lifeform.Lifeform;

import java.text.DateFormat;
import java.util.Date;

public class Clock extends Lifeform {
  private String time;

  public void idleImpl() {
    time = DateFormat.getTimeInstance().format(new Date());
  }

  public String getTime() {
    return time;
  }

  public String toString() {
    return "Clock - " + time;
  }
}