/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m05;

import static drjava.util.ObjectUtil.nice;
import prophecy.common.InspectionProxy;
import prophecy.common.lifeform.Lifeform;

public class Carrier<A> extends Lifeform implements ICarrier<A>, InspectionProxy {
  protected A load;

  public Carrier() {
  }

  public Carrier(A load) {
    this.load = load;
  }

  public A getLoad() {
    return load;
  }

  public Object getObject() {
    return load;
  }

  public String toString() {
    return nice(load);
  }
}