/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m05;

import prophecy.common.Prophecy;
import prophecy.common.SurfaceUtil;
import prophecy.common.lifeform.Environment;
import prophecy.common.lifeform.Introducer;
import prophecy.common.lifeform.LiveEnvironment;
import prophecy.m.m03.HousePanel;

public class M05Calc {
  public static void main(String[] args) {
    Prophecy.init();

    Environment environment = new LiveEnvironment();
    environment.addInhabitant(new Introducer());
    environment.addInhabitant(new Question("1+1"));
    environment.addInhabitant(new Calculator());
    Asker asker = new Asker();
    environment.addInhabitant(asker);
    asker.ask("5+5");

    SurfaceUtil.showAsMain("M05", new HousePanel(environment));
  }
}