/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m06;

import prophecy.common.lifeform.Lifeform;

import java.io.File;

public class LogWatcher extends Lifeform {
  private File file;

  public LogWatcher() {
    setStatus("No file set");
  }

  public void setFile(File file) {
    if (file == null) return;
    this.file = file;
    setStatus("File set: " + file.getPath());
  }
}