/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m06;

import prophecy.common.Prophecy;
import prophecy.common.lifeform.Environment;
import prophecy.common.lifeform.LiveEnvironment;
import prophecy.m.m03.HousePanel;

import java.io.File;

public class M06Archivist {
  public static void main(String[] args) {
    Prophecy.init();

    Environment environment = new LiveEnvironment();
    FileArchivist archivist = new FileArchivist();
    archivist.setFile(new File(Prophecy.memoryDir() + "m06/archive.txt"));
    environment.addInhabitant(archivist);

    new HousePanel(environment).showAsMainFrame("M06");
  }
}