/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m08;

import drjava.util.XTestCase;
import prophecy.common.lifeform.Lifeform;
import prophecy.common.lifeform.LogEntry;

import java.util.List;

public class CompositeLifeformTest extends XTestCase {
  public void testLogging() {
    Lifeform part = new Lifeform();
    CompositeLifeform composite = new CompositeLifeform();
    composite.addPart(part);
    part.log("Hello world");
    List<LogEntry> log = composite.getLog();
    assertEquals("Log entry", "Hello world", log.get(log.size()-1).getText());
  }
}