/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m10;

import drjava.util.XTestCase;

public class IntIdMakerTest extends XTestCase {
  public void test() {
    IntIdMaker idMaker = new IntIdMaker();
    assertEquals("1", idMaker.makeID());
    assertEquals("2", idMaker.makeID());
  }

  public void testFileFound() {
    IntIdMaker idMaker = new IntIdMaker();
    idMaker.fileFound("1");
    assertEquals("2", idMaker.makeID());
    idMaker.fileFound("56.bla");
    assertEquals("57", idMaker.makeID());
  }
}