/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m12;

import prophecy.common.lifeform.ProphecyEnv;
import prophecy.common.lifeform.Servants;
import prophecy.m.m05.Calculator;

public class CalculatorTest {
  public static void main(String[] args) {
    ProphecyEnv env = new ProphecyEnv(new Calculator());
    env.add(new Servants());
    env.add(new NeedFinder());
    env.add(new Counter());
    env.add(new Question("1+1"));
    env.showMainFrame();
  }
}