/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m14;

import static drjava.util.ObjectUtil.nice;

public class Failure extends RuntimeException {
  private Object info;

  public Failure(String msg) {
    super(msg);
  }

  public Failure(Object info) {
    super(nice(info));
    this.info = info;
  }

  public Object getInfo() {
    return info;
  }
}