/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m14;

import prophecy.common.lifeform.ProphecyEnv;

import javax.swing.*;

public class ToolTest {
  public static void main(String[] args) {
    /*Tool tool = new Tool() {
      protected void init() throws Exception {
        throw new Failure("Failing for test purposes");
      }
    };*/
    //Tool tool = new DirUser("temp/mydir");
    Tool tool = new StatusTestTool();
    ToolIcon toolIcon = new ToolIcon(tool);
    FrameIconUpdater frameIconUpdater = new FrameIconUpdater(toolIcon);
    JFrame frame = new ProphecyEnv(tool, toolIcon, frameIconUpdater).showMainFrame();
    frameIconUpdater.setFrame(frame);
  }
}