/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m15;

import drjava.util.Tree;

public class M15Util {
  public static String quote(String s) {
    return Tree.quoteString(s);
  }

  public static String unquote(String s) {
    return Tree.unquoteString(s);
  }

  public static boolean isQuoted(String s) {
    return s.startsWith("\"");
  }
}