/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m16;

import drjava.util.FileUtil;
import prophecy.common.lifeform.Introducer;
import prophecy.common.lifeform.ProphecyEnv;

import java.io.IOException;

public class M16 {
  public static void main(String[] args) throws IOException {
    String text = FileUtil.loadTextFile("data/m16/characters.txt");
    ProphecyEnv env = new ProphecyEnv("M16");
    env.add(new Introducer());
    env.add(new StringLF(text));
    env.add(new ToLines());
    env.add(new ToWords());
    env.add(new StringPairMaker());
    env.add(new TailMatcher());
    env.showMainFrame();
  }
}