/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m19;

import prophecy.common.image.ImageSurface;
import prophecy.common.image.RGBImage;
import prophecy.common.lifeform.Lifeform;

import javax.swing.*;

public class ImageLF extends Lifeform {
  private RGBImage image;

  public ImageLF(RGBImage image) {
    this.image = image;
  }

  public RGBImage getImage() {
    return image;
  }

  public JComponent visualize() {
    return new ImageSurface(image);
  }
}