/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m20;

import prophecy.common.lifeform.Introducer;
import prophecy.common.lifeform.ProphecyEnv;

public class M20 {
  public static void main(String[] args) {
    SourcesAnalyzer analyzer = new SourcesAnalyzer();
    ProphecyEnv env = new ProphecyEnv("M20", analyzer);
    env.add(new Introducer());
    env.add(new BestTheory());
    env.add(new GrowthCompletion());
    env.add(new NewTheories(analyzer));
    env.showMainFrame();
  }
}