/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m21;

import prophecy.common.lifeform.Introducer;
import prophecy.common.lifeform.ProphecyEnv;
import prophecy.m.m20.SourcesAnalyzer;

public class M21 {
  public static void main(String[] args) {
    SourcesAnalyzer analyzer = new SourcesAnalyzer();
    ProphecyEnv env = new ProphecyEnv("M21", analyzer);
    env.add(new Introducer());
    //env.add(new TheoryExporter(channel));
    env.add(new TheoryReporter(analyzer));
    env.showMainFrame();
  }
}