/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m23;

import drjava.util.GUIUtil;
import prophecy.common.Prophecy;
import prophecy.common.lifeform.ProphecyEnv;
import prophecy.common.lifeform.Servants;

import java.awt.*;

public class M23 {
  public static void main(String[] args) {
    ObjectCollector collector = new ObjectCollector(Prophecy.memoryDir() + "m23");
    ProphecyEnv env = new ProphecyEnv(collector);
    env.add(new Servants());
    env.add(new StringToFileConverter());
    //env.showMainFrame();

    ObjectCollectorPanel panel = new ObjectCollectorPanel(collector);
    GUIUtil.showMainFrame("M23: Object Collector", panel, new Dimension(300, 600));
  }
}