/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m23;

import drjava.util.GUIUtil;
import prophecy.common.Prophecy;
import prophecy.common.lifeform.ProphecyEnv;
import prophecy.common.lifeform.Servants;
import prophecy.m.m19.DirMonitor;

import java.awt.*;

public class M23b {
  public static void main(String[] args) {
    String dir = Prophecy.memoryDir() + "m23";
    ObjectCollector collector = new ObjectCollector(dir);
    ProphecyEnv env = new ProphecyEnv(collector);
    env.add(new Servants());
    env.add(new StringToFileConverter());
    //env.showMainFrame();

    DirMonitor dirMonitor = new DirMonitor(dir);
    env.add(dirMonitor);
    env.add(new Updater(dirMonitor, 1.0));

    ObjectCollectorPanel2 panel = new ObjectCollectorPanel2(collector, dirMonitor);
    GUIUtil.showMainFrame("M23b: Object Collector", panel, new Dimension(300, 600));
  }
}