/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m26;

import drjava.util.FileUtil;
import drjava.util.StringUtil;

import java.io.IOException;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class JavaMixTest1 {
  public static void main(String[] args) throws IOException {
    String src = FileUtil.loadTextFile("src/prophecy/m/m25/Step.java");
    List<String> lines = StringUtil.toLines(src);
    int idx1 = -1, idx2 = -1;
    String className = null;
    for (int i = 0; i < lines.size(); i++) {
      Matcher matcher = Pattern.compile("class\\s+(\\w+)\\s+extends\\s+Lifeform\\s*\\{")
        .matcher(lines.get(i));
      if (matcher.find()) {
        idx1 = i;
        className = matcher.group(1);
      }

      if (lines.get(i).trim().equals("}")) {
        idx2 = i;
      }
    }

    if (idx1 >= 0 && idx2 >= 0) {
      System.out.println("class " + className + ": " + (idx2-idx1-1) + " lines");
    }
  }
}