/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m26;

import java.io.IOException;

public class MixStdClasses {
  public static void main(String[] args) throws IOException {
    Mixin step = new Mixin("src/prophecy/m/m25/Step.java");
    Mixin composite = new Mixin("src/prophecy/m/m08/CompositeLifeform.java");
    Mixin merged = Merger.merge(step, composite, "prophecy.m.m26.CompositeStep");
    Writer.save("src", merged);
  }
}