/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m26;

import prophecy.m.m33.ClassPath;

public class ProphecyClassPath {
  public static ClassPath get() {
    return get(true);
  }

  public static ClassPath get(boolean withBeanShell) {
    ClassPath classPath = new ClassPath();
    classPath.add("out/production/Prophecy");
    classPath.add("out/production/Matrix");
    classPath.add("out/production/Util");
    classPath.add("lib/vats.jar");
    classPath.add("lib/gi-1.2.jar");
    if (withBeanShell) {
      classPath.add("lib/bsh-2.0b4.jar");
      classPath.add("lib/bsh-engine.jar");
    }
    return classPath;
  }
}