/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m27;

import prophecy.common.gui.Sheet;

import javax.swing.*;

public class ComponentList {
  private Sheet sheet = new Sheet();

  public ComponentList() {
    SelectionGroup selectionGroup = new SelectionGroup();
    new CEInheritance(new CESelectable(selectionGroup)).installOn(sheet.getPanel());
  }

  public JScrollPane getScrollPane() {
    return sheet.getScrollPane();
  }

  public void add(JComponent component) {
    sheet.addComponent(component);
  }
}