/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m27;

import drjava.util.GUIUtil;
import prophecy.common.lifeform.Box;
import prophecy.common.lifeform.ProphecyEnv;

import javax.swing.*;
import java.awt.*;

public class ComponentListTest {
  public static void main(String[] args) {
    ProphecyEnv env = new ProphecyEnv();
    ComponentList componentList = new ComponentList();
    env.add(new Box(componentList));
    env.add(new ListFiller(componentList, new AllWindows()));
    JScrollPane scrollPane = componentList.getScrollPane();
    new CEInheritance(new CEExtensionsTooltip()).installOn(scrollPane);
    GUIUtil.showMainFrame("ComponentList", scrollPane,
      new Dimension(300, 300));
  }
}