/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m27;

import javax.swing.*;
import java.util.WeakHashMap;

public class ExtensionRegistry {
  private static WeakHashMap<JComponent, CExtensions> map
    = new WeakHashMap<JComponent, CExtensions>();

  public static CExtensions getExtensions(JComponent component) {
    CExtensions extensions = map.get(component);
    if (extensions == null)
      map.put(component, extensions = new CExtensions());
    return extensions;
  }
}