/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m27;

import prophecy.common.Source;
import prophecy.common.lifeform.Lifeform;

import java.util.Collection;

public class ListFiller extends Lifeform {
  private ComponentList componentList;
  private Source<Collection> source;

  public ListFiller(ComponentList componentList, Source<Collection> source) {
    this.componentList = componentList;
    this.source = source;
  }

  protected void runOnce() {
    componentList.add(new JString("hello"));
  }
}