/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m28;

public class Date {
  private int year, month, day;

  public static Date today() {
    java.util.Date d = new java.util.Date();
    Date date = new Date();
    date.year = d.getYear() + 1900;
    date.month = d.getMonth();
    date.day = d.getDay();
    return date;
  }

  public String toString() {
    return year + "/" + month + "/" + day;
  }

  public String yyyymmdd() {
    return year + (month < 10 ? "0" : "") + month + (day < 10 ? "0" : "") + day;
  }
}