/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m29;

import java.lang.reflect.Field;

public class PrivateFieldTest {
  public static void main(String[] args) throws IllegalAccessException {
    Object o = new TestObj();
    Field[] fields = o.getClass().getDeclaredFields();
    for (Field field : fields) {
      System.out.println("field: " + field);
      field.setAccessible(true);
      Object value = field.get(o);
      System.out.println("value: " + value);
    }
  }
}