/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m30;

public class ExUtil {
  public static Boolean toBoolean(Object o) {
    GlobalWatcher.watch(new MethodEnter("ExUtil.toBoolean", o));
    Boolean result = null;
    Expander search = new Expander(o);
    while (search.hasMoreElements()) {
      Object x = search.nextElement();
      if (x instanceof Boolean) {
        result = (Boolean) x;
        break;
      }
    }
    GlobalWatcher.watch(new MethodExit("ExUtil.toBoolean", o, result));
    return result;
  }
}