/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m30;

import static drjava.util.ObjectUtil.nice;

public class MethodEnter {
  private String method;
  private Object input;

  public MethodEnter(String method, Object input) {
    this.method = method;
    this.input = input;
  }

  public String getMethod() {
    return method;
  }

  public Object getInput() {
    return input;
  }

  public String toString() {
    return "MethodEnter " + method + "(" + nice(input) + ")";
  }
}