/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m33;

import prophecy.m.m26.JarMaker;

import java.io.IOException;

public class HelloWorld {
  public static void main(String[] args) {
    System.out.println("hello world");
  }

  public static class MakeJar {
    private static String jarPath = "standalone/helloworld.jar";

    public static void main(String[] args) throws IOException {
      makeIt();
    }

    public static String makeIt() throws IOException {
      JarMaker maker = new JarMaker(jarPath, HelloWorld.class.getName());
      maker.begin();
      maker.dirToJar("out/production/Prophecy");
      maker.end();
      return jarPath;
    }
  }
}