/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m34;

import prophecy.common.gui.Sheet;

import java.awt.*;

public class ClonerSheet extends Sheet {
  public ClonerSheet(Cloner cloner) {
    setTitle("Cloning");
    addSpacer();
    StepsProgressBar bar = new StepsProgressBar(cloner.getSteps());
    bar.setMinimumSize(new Dimension(200, 40));
    addComponent(bar);
    addSpacer();

    cloner.start();
  }
}