/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m35;

import javax.swing.*;
import java.awt.*;

public class XTextField extends JTextField {
  private PaintHook paintHook = new PaintHook();

  public void paint(Graphics g) {
    super.paint(g);
    paintHook.paint(g);
  }

  public PaintHook getPaintHook() {
    return paintHook;
  }
}