/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m37;

import prophecy.t.t08.Bag;

import java.util.ArrayList;
import java.util.List;

public class BagUtil {
  public static void removeAll(Bag<Object> bag, Class aClass) {
    for (Object o : bag.getSnapshot()) {
      if (aClass.isInstance(o))
        bag.remove(o);
    }
  }

  public static <A> List<A> getObjects(Bag<Object> bag, Class<A> aClass) {
    List<A> result = new ArrayList<A>();
    for (Object o : bag.getSnapshot()) {
      if (aClass.isInstance(o))
        result.add((A) o);
    }
    return result;
  }
}