package prophecy.marathon.ma01;

import prophecy.m.m26.JarMaker;
import prophecy.m.m26.ProphecyClassPath;
import prophecy.m.m26.ProphecyJarMaker;

import java.io.File;
import java.io.IOException;

public class MakeJar {
  public static void main(String[] args) throws IOException {
    String jarFile = "standalone/Marathon1.jar";
    makeJar(jarFile);
  }

  static void makeJar(String jarFile) throws IOException {
    JarMaker maker = new JarMaker(jarFile, Marathon1.class.getName());
    maker.begin();
    ProphecyJarMaker.fillJar(ProphecyClassPath.get(), maker);
    for (File file : new File("lib").listFiles())
      if (file.getName().contains("jetty") || file.getName().contains("servlet"))
        maker.jarToJar(file.getPath());
    maker.end();
  }
}
