package prophecy.mcos.mcos02;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowListener;
import java.awt.*;

public interface GuiEnv {
  Container makeFrame(String title);
  void showFrame(Container frame);
  void disposeFrame(Container frame);
  void centerOnScreen(Container frame);
  void onClosing(Container frame, Runnable runnable);
  Container getContentPane(Container frame);
  void setClosable(Container frame, boolean closable);
  void pack(Container frame);
}
