package prophecy.mcos.mcos02;

import prophecy.mcos.mcos01.*;

public class RunCounterGui {
  public static void main(String[] args) {
    final CounterProcess counterProcess = new CounterProcess();
    final CounterGui counterGui = new CounterGui();

    ProcessArray array = new ProcessArray();
    array.add(counterProcess);
    array.add(counterGui);
    array.add(new ProcessImpl() {
      public void step() {
        counterGui.setCounterValue(counterProcess.getCounterValue());
      }
    });

    OneProcessEnv env = new OneProcessEnv(array);
    counterGui.showGui(new TopLevelGuiEnv());
    env.runUntilTerminated();
    System.exit(0);
  }
}