package prophecy.mcos.mcos03;

import drjava.util.TextView;
import drjava.util.GUIUtil;
import prophecy.mcos.mcos02.SingleFrameGui;
import prophecy.common.FrozenObject;

public class GPMessageBox extends SingleFrameGui {
  private String message;

  public GPMessageBox(String message) {
    this.message = message;
    setTerminateOnWindowClose(true);
  }

  @Override
  protected void makeFrame() {
    frame = guiEnv.makeFrame("Message");
    frame.setSize(400, 100);
    TextView textView = new TextView(message);
    textView.setInset(4);
    guiEnv.getContentPane(frame).add(textView);
    guiEnv.centerOnScreen(frame);
  }
}
