package prophecy.mcos.mcos04;

import drjava.util.Errors;

import javax.swing.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Main extends InheritableMain {
  public static void main(String[] args) {
    Errors.setPopup(true);
    Main main = new Main();
    main.start();
  }

  public Main() {
    setVersion("0.2");
  }

  protected void fillStartMenu(JPopupMenu menu) {
    JMenuItem miLoadMeter = new JMenuItem("CPU Meter");
    miLoadMeter.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        try {
          startLoadMeter();
        } catch (Throwable t) {
          Errors.report(t);
        }
      }
    });

    /*JMenuItem miLoadMaker = new JMenuItem("Load Maker");
    miLoadMaker.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        try {
          startLoadMaker();
        } catch (Throwable t) {
          Errors.report(t);
        }
      }
    });*/

    // add the stuff backwards, on top of the menu
    menu.add(new JPopupMenu.Separator(), 0);
    menu.add(miLoadMeter, 0);
    //menu.add(miLoadMaker, 0);
  }

  private void startLoadMeter() {
    startGuiProcess(new GPCPUMeter(env.getThread()));
  }

  private void startLoadMaker() {
    startGuiProcess(new GPLoadMaker());
  }
}
