/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.n.n01.setup;

import drjava.util.Lizt;

import java.util.ArrayList;
import java.util.List;

public class TestBattery<S> implements Test<S> {
  protected List<Test<S>> tests = new ArrayList<Test<S>>();

  public TestResult test(S subject) {
    List<TestResult> testResults = new ArrayList<TestResult>();
    for (Test<S> test : tests) {
      testResults.add(test.test(subject));
    }

    return new TestBatteryResult(this, subject, new Lizt<TestResult>(testResults));
  }
}