/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.n.n01.subject3;

import drjava.util.Factory;
import drjava.util.Lizt;
import prophecy.n.n01.setup.Operation;
import prophecy.n.n01.setup.OperationModellingSubject;
import prophecy.n.n01.setup.Workspace;

public abstract class AbstractOperationModellingSubject implements OperationModellingSubject {
  protected Factory<Workspace> workspaceFactory;
  protected Lizt<Operation> allOperations;

  public void setWorkspaceFactory(Factory<Workspace> workspaceFactory) {
    this.workspaceFactory = workspaceFactory;
  }

  public void setAllOperations(Lizt<Operation> allOperations) {
    this.allOperations = allOperations;
  }
}