package prophecy.n.n03;

import static drjava.util.ObjectUtil.nice;

import java.io.File;

public class Descender {
  private Object object;

  public Descender(Object object) {
    this.object = object;
  }

  public Object getObject() {
    return object;
  }

  public static void main(String[] args) {
    File dir = new File("memory");
    Descender descender = new Descender(dir);
    descender.introduce(new DirectoryAsContainer(dir));
    System.out.println("children: " + nice(Offspring.getAllChildren(descender)));
  }

  public void introduce(ObjectAsContainer objectAsContainer) {
    if (objectAsContainer.getObject() == object) {
      if (!Offspring.childExists(this, objectAsContainer))
        Offspring.addChild(this, objectAsContainer, new ContainerDescender(this, objectAsContainer));
    }
  }
}
