package prophecy.n.n03;

import drjava.util.Lizt;
import drjava.util.Attachments;

import java.util.HashMap;
import java.util.Map;

public class Offspring {
  private Map<Object, Object> children = new HashMap<Object, Object>();

  public static boolean childExists(Object mother, Object father) {
    Offspring offspring = Attachments.get(mother, Offspring.class);
    return offspring != null && offspring.children.containsKey(father);
  }

  public static void addChild(Object mother, Object father, Object child) {
    Offspring offspring = Attachments.get(mother, Offspring.class);
    if (offspring == null)
      Attachments.add(mother, offspring = new Offspring());
    offspring.children.put(father, child);
  }

  public static Lizt<Object> getAllChildren(Object mother) {
    Offspring offspring = Attachments.get(mother, Offspring.class);
    return offspring == null ? Lizt.empty() : new Lizt<Object>(offspring.children.values());
  }
}
