package prophecy.n.n04;

import drjava.util.LetterLayout;
import drjava.util.Line;
import prophecy.common.gui.JObject;
import prophecy.omnivore.o.o03.RhinoScript;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class JRhinoScript extends JPanel {
  private JEditorPane editorPane = new JEditorPane();
  private Line control;

  public JRhinoScript() {
    setLayout(new LetterLayout("S", "S", "C"));
    setBorder(BorderFactory.createTitledBorder("JavaScript"));
    add("S", new JScrollPane(editorPane));

    JButton btnRun = new JButton("Run");
    btnRun.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        run();
      }
    });
    control = new Line(btnRun);
    add("C", control);
  }

  private void run() {
    Object result;
    try {
      result = new RhinoScript(editorPane.getText()).run();
    } catch (Throwable e) {
      result = e;
    }
    control.setFiller(new JObject(result));
  }
}
