package prophecy.n.n04;

import prophecy.common.gui.SexyColumn;
import prophecy.common.gui.SexyTable;

public class UneditableInOutTable extends SexyTable<InOutPair> {
  public UneditableInOutTable() {
    setColumns(new ColIn(), new ColOut());
  }

  private class ColIn extends SexyColumn<InOutPair> {
    public String getName() {
      return "Input";
    }

    public Object getCell(int row, InOutPair inOutPair) {
      return inOutPair.getInput();
    }
  }

  private class ColOut extends SexyColumn<InOutPair> {
    public String getName() {
      return "Output";
    }

    public Object getCell(int row, InOutPair inOutPair) {
      return inOutPair.getOutput();
    }
  }
}