/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.omnivore.o.o01;

import drjava.util.Lizt;
import prophecy.common.gui.RenderToLine;

public class ObjectFlattenerSpec implements Spec, RenderToLine {
  private Object object;

  public ObjectFlattenerSpec(Object object) {
    this.object = object;
  }

  public Object getObject() {
    return object;
  }

  public Lizt<Object> renderToLine() {
    return Lizt.of("ObjectFlattenerSpec", object);
  }
}