package prophecy.omnivore.o.o01;

import drjava.util.Errors;
import prophecy.t.t08.Bag;

import java.util.ArrayList;
import java.util.List;

public class StandardAdvisor {
  private static StandardAdvisor standardAdvisor = new StandardAdvisor();
  private List<Advisor> advisors = new ArrayList<Advisor>();

  public void addAdvisor(Advisor advisor) {
    advisors.add(advisor);
  }

  public Bag<Object> getSuggestions(Search search) {
    Bag<Object> suggestions = new Bag<Object>();
    for (Advisor advisor : advisors) {
      try {
        suggestions.addAll(advisor.getSuggestions(search));
      } catch (Throwable e) {
        Errors.add(e);
      }
    }
    return suggestions;
  }

  public static StandardAdvisor getInstance() {
    return standardAdvisor;
  }
}
