/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.omnivore.o.o01;

import drjava.util.Tree;
import prophecy.common.Prophecy;

import javax.swing.*;

public class TestScriptRun {
  public static void main(String[] args) {
    Prophecy.init();
    ScriptEnv scriptEnv = new ScriptEnv() {
      Finder finder = new AskUserFinder(this);

      public Finder getDefaultFinder() {
        return finder;
      }
    };

    try {
      JFrame frame = new JFrame("hallihallo");
      FlattenFrameScript script = new FlattenFrameScript(scriptEnv);
      Tree tree = script.flattenFrame(frame);
      System.out.println("Tree: " + tree);
      System.exit(0);
    } catch (Throwable e) {
      e.printStackTrace();
      System.exit(0);
    }
  }
}