package prophecy.p.p02;

import java.util.Set;
import java.util.TreeSet;

/** This doesn't really work as the class loader does not define any classes of its own */
public class CollectingClassLoader extends ClassLoader {
  private Set<String> classNames = new TreeSet<String>();

  public CollectingClassLoader(ClassLoader parent) {
    super(parent);
  }

  public CollectingClassLoader() {
  }

  protected synchronized Class<?> loadClass(String name, boolean resolve) throws ClassNotFoundException {
    Class<?> result = super.loadClass(name, resolve);
    classNames.add(name);
    return result;
  }

  public Set<String> getClassNames() {
    return classNames;
  }
}
