package prophecy.p.p03;

import drjava.util.GUIUtil;
import static drjava.util.ObjectUtil.nice;
import prophecy.common.gui.Form;
import prophecy.common.gui.JObject;
import prophecy.common.gui.Sheet;

import java.io.File;

public class ObjectLoadedSheet extends Sheet {
  public ObjectLoadedSheet(Object object, String dbPath, String objectName) {
    setTitle(nice(object) + " - Object Info");
    Form form = new Form();
    form.addRow("Object", new JObject(object));
    form.addRow("Object database", new File(dbPath).getAbsolutePath());
    form.addRow("Object name in db", objectName);
    GUIUtil.setMinimumWidth(form, 400);
    addComponent(form);
  }
}
