package prophecy.p.p04;

import prophecy.common.PersistentTree;
import prophecy.omnivore.o.o01.CastSpec;

public class AutoConverter<A> implements Converter<A> {
  private Class<A> resultClass;

  public AutoConverter(PersistentTree tree, Class<A> resultClass) {
    this.resultClass = resultClass;
  }

  public A get(Object o) {
    return User.<A> help(this, new CastSpec(o, resultClass));
  }

  private class Get {
    private Object object;

    public Get(Object o) {
      object = o;
    }

    public Object getObject() {
      return object;
    }
  }
}
