package prophecy.p.p04;

import drjava.util.GUIUtil;
import prophecy.omnivore.o.o01.FinderFrame;
import prophecy.omnivore.o.o01.Search;
import prophecy.omnivore.o.o01.SearchCancelledException;
import prophecy.omnivore.o.o01.Spec;

public class User {
  public static <A> A help(Object requestor) {
    return User.<A> help(requestor, new HelpSpec());
  }

  public static <A> A help(Object requestor, Spec spec) {
    Search search = new Search(spec, requestor);
    FinderFrame finderFrame = new FinderFrame(search);
    GUIUtil.showFrame(finderFrame);

    search.getDoneFlag().waitUntilUp();
    if (!search.hasImplementation())
      throw new SearchCancelledException(search);
    return (A) search.getImplementation();
  }
}
