/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t01;

import prophecy.t.t02.Obstacle;
import prophecy.t.t04.Contacter;
import prophecy.common.socket.ObjectURL;

public class Hunter {
  private String info;
  private ObjectURL url;

  public void setInfo(String info) {
    this.info = info;
  }

  public Object go() {
    System.out.println("Contacting: " + info);
    url = AddressUtil.findURLInText(info);
    if (url == null)
      return new Obstacle("No URL found:\n" + info);
    Contacter contacter = new Contacter(url);
    return contacter.call();
  }

  public ObjectURL getURL() {
    return url;
  }
}