/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t01;

import drjava.util.XTestCase;
import prophecy.common.socket.ObjectURL;

public class ObjectURLTest extends XTestCase {
  public void testOwnership() {
    Object one = new Object();
    Object two = new Object();
    Owner.set(one, two);
    ObjectURL url = new ObjectURL("obj:onetwo");
    ObjectURL.set(two, url);
    assertEquals("URL transferred to owned object", url, ObjectURL.get(one));
  }
}