/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t01;

public class UnionUtil {
  public static boolean contains(Object o, Class aClass) {
    if (aClass.isInstance(o))
      return true;
    if (o instanceof Union) {
      Union union = (Union) o;
      for (Object part : union.getParts()) {
        if (contains(part, aClass))
          return true;
      }
    }
    return false;
  }
}