package prophecy.t.t02;

import drjava.util.Tree;

public class ArgsUtil {
  public static Tree toTree(String[] args) {
    Tree tree = new Tree();
    for (int i = 0; i < args.length; i++) {
      if (args[i].startsWith("-")) {
        String key = args[i].substring(1);
        if (i+1 < args.length && !args[i+1].startsWith("-"))
          tree.add(key, args[++i]);
        else
          tree.add(key, true);
      }
    }
    return tree;
  }
}
