package prophecy.t.t02;

import drjava.util.Tree;

public class Arguments {
  private Tree tree;

  public Arguments(String[] args) {
    tree = ArgsUtil.toTree(args);
  }

  public String getMandatory(String name) {
    String value = tree.getString(name);
    if (value == null)
      throw new RuntimeException("Mandatory argument " + Tree.quoteString(name) + " missing");
    return value;
  }

  public int getInt(String name, int defaultValue) {
    return tree.getInt(name, defaultValue);
  }
}
