/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t02;

import com.sun.org.apache.xml.internal.security.utils.Base64;
import drjava.util.StreamUtil;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;

public class TestDynDNSCall {
  public static void main(String[] args) throws IOException {
    String urlString = "http://members.dyndns.org/nic/update";
    URLConnection connection = new URL(urlString).openConnection();
    String user = args[0], pass = args[1];
    authorize(connection, user, pass);
    //Map<String,List<String>> header = connection.getHeaderFields();
    System.out.println("Reading...");
    String input = StreamUtil.readFully(connection.getInputStream());
    System.out.println("input: " + input);
  }

  private static void authorize(URLConnection connection, String user, String pass) {
    String password = user + ":" + pass;
    String encodedPassword = Base64.encode(password.getBytes());
    connection.setRequestProperty("Authorization", "Basic " + encodedPassword);
  }
}