/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t04;

import drjava.util.IRunnable;
import prophecy.common.socket.SocketHandler;

import java.net.URLDecoder;

public class AskFor implements IRunnable {
  private Object socketHandler;
  private String tail;

  public AskFor(Object socketHandler, String tail) {
    this.socketHandler = socketHandler;
    this.tail = tail;
  }

  public Object run() throws Exception {
    SocketHandler socketHandler = ExUtil2.convert(this.socketHandler, SocketHandler.class);
    if (socketHandler == null)
      throw new Exception("No socket handler");
    String line = socketHandler.readLine();
    if (!line.startsWith("This is"))
      throw new Exception("??? " + line);
    socketHandler.println(URLDecoder.decode(tail));
    line = socketHandler.readLine();
    System.out.println(line);
    if (!line.contains("patching you through"))
      throw new Exception("??? " + line);
    return socketHandler;
  }
}