/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t04;

import prophecy.common.socket.SocketHandler;
import prophecy.common.socket.SocketCallable;

public class FixedMessageDialoglet implements SocketCallable {
  private String message;

  public FixedMessageDialoglet(String message) {
    this.message = message;
  }

  public void takeCall(SocketHandler handler) {
    handler.println(message);
  }
}