/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t05;

import prophecy.m.m26.ProphecyJarMaker;
import prophecy.common.socket.ObjectServer;

import java.io.IOException;

public class ServerT05 {
  public static void main(String[] args) throws IOException {
    start();
  }

  public static ObjectServer start() throws IOException {
    ObjectServer objectServer = new ObjectServer();
    objectServer.setName("T05");
    objectServer.start();
    objectServer.addObject("#shutdown", new VMShutdown());
    AddressVerificationServer verifier = new AddressVerificationServer();
    objectServer.addObject("#address verifier", verifier);
    return objectServer;
  }

  public static class MakeJar {
    public static void main(String[] args) throws IOException {
      ProphecyJarMaker.makeJar("standalone/server_t05.jar", ServerT05.class);
    }
  }
}