/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t07;

import drjava.util.GUIUtil;
import prophecy.common.socket.ObjectServer;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ObjectServerMenu extends Menu {
  public ObjectServerMenu(final ObjectServer objectServer) {
    super(objectServer.getURL().toString());
    MenuItem miConsole = new MenuItem("Open console");
    miConsole.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        GUIUtil.showFrame(SocketConsole.make(objectServer.getURL()).makeFrame());
      }
    });
    add(miConsole);
  }
}