/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t08;

import drjava.util.Port;

public class BagInputPort<A> implements Port<A> {
  private Bag<A> bag;

  public BagInputPort(Bag<A> bag) {
    this.bag = bag;
  }

  public void receive(A a) {
    bag.add(a);
  }
}