/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t08;

import prophecy.common.socket.SocketHandler;
import prophecy.common.socket.SocketCallable;

public class ConversationLoggerMaker implements SocketCallable {
  Bag<RecordedConversation> conversations;

  public ConversationLoggerMaker(Bag<RecordedConversation> conversations) {
    this.conversations = conversations;
  }

  public void takeCall(SocketHandler handler) {
    new ConversationLogger(new BagInputPort(conversations)).takeCall(handler);
  }
}