/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t10;

import prophecy.common.socket.SocketHandler;

import java.net.Socket;

public class ServerTypeDetector {
  private String host;
  private int port;
  private String serverType;

  public ServerTypeDetector(String host, int port) {
    this.host = host;
    this.port = port;
  }

  public void go() {
    try {
      SocketHandler handler = new SocketHandler(new Socket(host, port));
      String line = handler.readLine();
      System.out.println("line: " + line);
      serverType = line;
    } catch (Throwable e) {
      e.printStackTrace();
    }
  }

  public String getServerType() {
    return serverType;
  }
}