/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t13;

import prophecy.t.t08.Packet;

public class DumpingCallLogger implements CallLogger {
  public PacketLogger makePacketLogger() {
    return new PacketLogger() {
      public void logPacket(Packet packet) {
        System.out.println("logPacket " + packet);
      }

      public void closeLog() {
        System.out.println("closeLog");
      }
    };
  }
}