/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t13;

import prophecy.common.socket.SocketHandler;
import prophecy.common.socket.SocketCallable;

import java.io.File;

public class LogOperatorMaker implements SocketCallable {
  private String logDir;

  public LogOperatorMaker(String logDir) {
    this.logDir = logDir;
    new File(logDir).mkdirs();
  }

  public void takeCall(SocketHandler handler) {
    new LogOperator(logDir).takeCall(handler);
  }
}