/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t13;

import prophecy.common.socket.ObjectServer;
import prophecy.t.t08.ServerTrayIcon;

public class T13LogServer {
  public static void main(String[] args) {
    new ServerTrayIcon("T13 Log Server") {
      public ObjectServer makeObjectServer() {
        return T13LogServer.makeObjectServer();
      }
    }.installAndAutoClose();
  }

  private static ObjectServer makeObjectServer() {
    ObjectServer objectServer = new ObjectServer();
    objectServer.addObject("LogOperator", new LogOperatorMaker("memory/t13"));
    return objectServer;
  }
}