/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t13;

import drjava.util.FileUtil;

import java.io.IOException;

public class TestFileAppenderConflict {
  public static void main(String[] args) throws IOException {
    String file = "temp/file.txt";
    //new File(file).delete();

    FileAppender appender1 = new FileAppender(file);
    appender1.start();
    FileAppender appender2 = new FileAppender(file);
    appender2.start();

    appender1.println("bla");
    appender2.println("blubb");

    appender1.close();
    appender2.close();

    System.out.println(FileUtil.loadTextFile(file));
  }
}