/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t15;

import prophecy.common.Trigger;
import prophecy.common.socket.SocketHandler;

public class HeartOperatorClient {
  private SocketHandler socketHandler;
  private Trigger onHeartBeat = new Trigger();

  public void setSocketHandler(SocketHandler socketHandler) {
    this.socketHandler = socketHandler;
    socketHandler.readLine();
  }

  public void listen() {
    socketHandler.println("listen");
    String line;
    while ((line = socketHandler.readLine()) != null) {
      if (line.equals("HeartBeat"))
        onHeartBeat.trigger();
    }
  }

  public Trigger getOnHeartBeat() {
    return onHeartBeat;
  }
}