/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t15;

import prophecy.common.socket.ObjectURL;
import prophecy.common.socket.ObjectServer;
import prophecy.t.t12.Heart;

import java.io.IOException;

public class HeartServer {
  public static void main(String[] args) throws IOException {
    start();
  }

  public static ObjectURL start() throws IOException {
    ObjectServer objectServer = new ObjectServer();
    Heart heart = new Heart();
    heart.start();
    objectServer.start();
    return objectServer.addObject("heart", new HeartOperator(heart));
  }
}