package prophecy.t.t16;

import drjava.superversion.tools.FileUtil;
import drjava.util.Tree;
import prophecy.common.socket.SocketClient;

import java.io.File;
import java.io.IOException;

public class AgentSender extends SocketClient {
  public void uploadAgent(Tree objectInfo, File jar, String destObjectName, String destJarName) {
    try {
      cmd(new Tree("UploadAgent")
        .setString("objectName", destObjectName)
        .setString("jarName", destJarName)
        .setBytes("jarContents", FileUtil.loadFile(jar))
        .add("objectInfo", objectInfo));
    } catch (IOException e) {
      throw new RuntimeException(e);
    }
  }

  public void runAgent(Tree objectInfo, File jar, String agentName) {
    try {
      cmd(new Tree("RunAgent")
        .setString("agentName", agentName)
        .setBytes("jarContents", FileUtil.loadFile(jar))
        .add("objectInfo", objectInfo));
    } catch (IOException e) {
      throw new RuntimeException(e);
    }
  }
}