package prophecy.t.t17;

import prophecy.common.Prophecy;
import prophecy.m.m26.ProphecyJarMaker;
import drjava.util.Errors;
import prophecy.t.t07.VMTrayIcon;

import java.awt.*;
import java.io.IOException;

public class ToolTray {
  public static void main(String[] args) {
    Prophecy.init();
    try {
      VMTrayIcon trayIcon = new VMTrayIcon();
      trayIcon.setTooltip("Project Prophecy Tool Tray");
      trayIcon.install();
      Prophecy.disableAutoExit();
    } catch (AWTException e) {
      Errors.add(e);
    }
  }

  public static class MakeJar {
    public static void main(String[] args) throws IOException {
      ProphecyJarMaker.makeJar("standalone/tooltray.jar", ToolTray.class);
    }
  }
}
