/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v03;

import prophecy.common.ContestOnDisk;
import static prophecy.common.InspectionUtil.inspect;
import prophecy.common.OpenContestRun;
import prophecy.video.v02.EyeDetector;

public class V03 {
  public static void main(String[] args) {
    ContestOnDisk contestOnDisk = new ContestOnDisk("v02");
    OpenContestRun<EyeDetector> openContestRun = contestOnDisk.getOpenContestRun();
    openContestRun.setReevaluate(true);

    openContestRun.addContestant(new ImageCollector());

    openContestRun.runWithStandardUI();
    inspect(openContestRun);
  }
}