/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v06;

import javax.swing.*;
import javax.swing.event.AncestorEvent;
import javax.swing.event.AncestorListener;
import java.awt.event.ActionEvent;

public class SaveButton extends JButton {
  public SaveButton(String text) {
    super(text);
    addAncestorListener(new AncestorListener() {
      public void ancestorAdded(AncestorEvent event) {
      }

      public void ancestorRemoved(AncestorEvent event) {
        if (isEnabled()) {
          int choice = JOptionPane.showConfirmDialog(SaveButton.this, "Save changes?", "Confirmation",
            JOptionPane.YES_NO_OPTION);
          /*if (choice == JOptionPane.CANCEL_OPTION)
            throw new RuntimeException("Cancel");*/
          if (choice == JOptionPane.YES_OPTION)
            fireActionPerformed(new ActionEvent(SaveButton.this, ActionEvent.ACTION_PERFORMED, ""));
        }
      }

      public void ancestorMoved(AncestorEvent event) {
      }
    });
  }
}