/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v07;

import prophecy.audio.a10.ContestGroup;
import prophecy.common.InspectionNode;
import prophecy.common.InspectionPanel;
import prophecy.common.gui.MenuProvider;

import javax.swing.*;
import java.util.Arrays;
import java.util.List;

public class ContestGroupPanel {
  public static JComponent makePanel(ContestGroup contestGroup) {
    InspectionNode rootNode = new InspectionNode(contestGroup);
    rootNode.setMenuProvider(new MenuProvider() {
      public List<JMenuItem> getMenuItems() {
        // DUMMY
        JMenuItem miNewContest = new JMenuItem("New contest");
        return Arrays.asList(miNewContest);
      }
    });
    /*rootNode.setVisualizable(new Visualizable() {
      public Component visualize() {
        return editPanel();
      }
    });*/
    return InspectionPanel.makeInspectionPanel(rootNode);
  }

  private static JPanel editPanel() {
    JPanel editPanel = new JPanel();
    return editPanel;
  }
}