/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v07;

import drjava.util.ToTree;
import drjava.util.Tree;
import prophecy.common.image.RGBImage;
import prophecy.video.v06.ObjectDetector;
import prophecy.video.v06.V06;

import java.awt.*;
import java.util.ArrayList;
import java.util.List;

public class Naive1 extends ObjectDetector implements ToTree {
  public static void main(String[] args) {
    new ContestantScout<ObjectDetector>(V06.contestOnDisk).introduce(new Naive1());
  }

  public List<Rectangle> findObjects(RGBImage image) {
    return new ArrayList<Rectangle>();
  }

  public Tree toTree() {
    return new Tree(getClass());
  }
}