/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v10;

import java.awt.*;

public class Edge {
  static enum Type { north, east, south, west };

  private Rectangle bounds;
  private Type type;

  public Edge(Rectangle bounds, Type type) {
    this.bounds = bounds;
    this.type = type;
  }

  public Rectangle getBounds() {
    return bounds;
  }

  public Type getType() {
    return type;
  }
}