/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v11;

import junit.framework.TestCase;
import prophecy.common.RevolvingSuccessMeter;

public class SuccessMeterTest extends TestCase {
  private RevolvingSuccessMeter meter;

  public void test() {
    meter = new RevolvingSuccessMeter();
    check(0, 0);
    meter.add(true);
    check(1, 1);
    meter.add(false);
    check(2, 1);
  }

  private void check(int total, int correct) {
    assertEquals(total, meter.getTotal());
    assertEquals(correct, meter.getCorrect());
  }
}