package prophecy.video.v13;

import prophecy.common.image.RGB;
import prophecy.common.image.RGBImage;
import prophecy.common.image.RGBPixelMixer;

public class AvgPixelMixer implements RGBPixelMixer {
  public RGB mix(RGBImage image) {
    return new RGB(
      image.redChannel().averageBrightness(),
      image.greenChannel().averageBrightness(),
      image.blueChannel().averageBrightness());
  }
}
