package prophecy.video.v14;

import drjava.util.Lizt;

public class DescriptionTest {
  public static void main(String[] args) {
    Lizt<String> inputs = Lizt.of("aaaa", "b", "", "abcd");
    for (String input : inputs) {
      S desc = describe(input);
      System.out.println("<" + input + "> : " + desc);
    }
  }

  private static S describe(String input) {
    if (input.length() == 0)
      return new S("empty");
    if (input.length() == 1)
      return new S("single", new S("char", input.charAt(0) + ""));
    if (allEqual(input))
      return new S("all", new S("char", input.charAt(0) + ""));
    return new S("?");
  }

  private static boolean allEqual(String input) {
    if (input.length() >= 1) {
      char c = input.charAt(0);
      for (int i = 1; i < input.length(); i++)
        if (input.charAt(i) != c)
          return false;
      return true;
    }
    return false;
  }
}
