package audioplayer.ap01;

import drjava.util.Errors;
import drjava.util.GUIUtil;
import drjava.util.LetterLayout;

import javax.swing.*;
import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;
import java.awt.dnd.DropTarget;
import java.awt.dnd.DropTargetAdapter;
import java.awt.dnd.DropTargetDropEvent;

public class Audioplayer {
  private JFrame frame;

  public static void main(String[] args) {
    new Audioplayer().makeFrame();
  }

  private void makeFrame() {
    frame = new JFrame("Audioplayer");
    frame.setSize(500, 300);
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    new DropTarget(frame.getContentPane(), new DropTargetAdapter() {
      public void drop(DropTargetDropEvent evt) {
        handleDrop(evt);
      }
    });


    GUIUtil.showFrame(frame);
  }

  private void handleDrop(DropTargetDropEvent evt) {
    try {
      Transferable tr = evt.getTransferable();
      DataFlavor[] flavors = tr.getTransferDataFlavors();
      for (DataFlavor flavor : flavors) {
        System.out.println("flavor: " + flavor);
        /*if (flavor.isFlavorTextType()
          || flavor.isMimeTypeEqual(DataFlavor.javaJVMLocalObjectMimeType)) {
          evt.acceptDrop(evt.getDropAction());
          Object object = tr.getTransferData(flavor);
          evt.dropComplete(true);
          collectObject(object);
          return;
        }*/
      }
      System.out.println("Unknown data flavors (" + flavors.length + ")");
    } catch (Throwable t) {
      Errors.add(t);
    }
    evt.rejectDrop();
  }
}