package captcha.c01;

import drjava.util.Lizt;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class RS1 extends RiddleSolver {
  private Matcher matcher;
  private String number;

  public OK doSomething() {
    try {
      stuff();
    } catch (Throwable e) {
      e.printStackTrace();
    }
    return OK.allDone;
  }

  private void stuff() {
    if (q.contains("black"))
      answer("black");
    if (q.contains("green"))
      answer("green");
    if (q.contains("white"))
      answer("white");
    if (match("(\\w+)'s? name"))
      answer(group(1));
    if (match("name of (\\w+)"))
      answer(group(1));
    if (match("called (\\w+)"))
      answer(group(1));
    if (contains("1st") && hasNumber())
      answer("" + number.charAt(0));
    if (contains("2nd") && hasNumber())
      answer("" + number.charAt(1));
    if (contains("5th") && hasNumber())
      answer("" + number.charAt(4));
    if (match("What is (.*) as digits"))
      answer(asDigits(group(1)));
    if (match("Enter the number (.*) in digits"))
      answer(asDigits(group(1)));

    if (done()) return;
    if (match("(.*) is what?") || match("What is (.*)\\?"))
      answer(calc(group(1)));
  }

  private String calc(String s) {
    WordScanner scanner = new WordScanner(s);
    int x = NumberParser.parse(scanner);
    while (scanner.more()) {
      String w = scanner.next();
      if (w.equals("plus") || w.equals("+")) {
        int y = NumberParser.parse(scanner);
        x += y;
        continue;
      }

      if (w.equals("minus") || w.equals("-")) {
        int y = NumberParser.parse(scanner);
        x -= y;
        continue;
      }

      unknownWord(w);
    }
    return String.valueOf(x);
  }

  private void unknownWord(String w) {
    //System.out.println("? " + w);
  }

  private String asDigits(String s) {
    return String.valueOf(NumberParser.parse(s));
  }

  private boolean hasNumber() {
    if (match("(\\d\\d+)")) {
      number = group(1);
      return true;
    } else
      return false;
  }

  private boolean contains(String s) {
    return q.contains(s);
  }

  private String group(int i) {
    return matcher.group(i);
  }

  private boolean match(String regexp) {
    matcher = Pattern.compile(regexp).matcher(q);
    return matcher.find();
  }
}
