package captcha.c01;

public class RiddleSolver {
  public RiddleToSolve riddle;
  public String q;

  public void setRiddle(RiddleToSolve riddle) {
    this.riddle = riddle;
    q = riddle.riddle.question;
  }

  public OK doSomething() {
    return OK.allDone;
  }

  public void solveUntilDone() {
    while (!riddle.solved) {
      if (doSomething() == OK.allDone)
        break;
    }
  }

  public void answer(String answer) {
    riddle.trySolution(answer);
  }

  protected boolean done() {
    return riddle.solved;
  }
}
