package captcha.c01;

import prophecy.common.Trigger;

public class RiddleToSolve {
  public Riddle riddle;
  public String question;
  public boolean solved;
  public String solution;
  public int attempts;
  public final Trigger solvedTrigger = new Trigger();

  public RiddleToSolve(Riddle riddle) {
    this.riddle = riddle;
    this.question = riddle.question;
  }

  public void trySolution(String answer) {
    if (solved) return;
    ++attempts;
    if (riddle.isAnswerCorrect(answer)) {
      this.solved = true;
      this.solution = answer;
      solvedTrigger.trigger();
    }
  }
}
