package drjava.superversion.filesystem;

import java.io.File;

public class RealFileSystem implements FileSystem {
  public MutableDirectory getDirectory(String absolutePath) {
    return new RealDirectory(absolutePath);
  }

  public boolean isLocal(String absolutePath) {
    return true;
  }

  public MutableDirectory getDirectory(File file) {
    return getDirectory(file.getAbsolutePath());
  }
}
