package drjava.superversion.filesystem;

import drjava.superversion.api.Data;

public class RenamedFile implements File {
  private File file;
  private String name;

  public RenamedFile(File file, String name) {
    this.file = file;
    this.name = name;
  }

  public String getName() {
    return name;
  }

  public Data getContents() {
    return file.getContents();
  }

  public long getDate() {
    return file.getDate();
  }

  public int[] getRevision() {
    return file.getRevision();
  }

  public File getFile() {
    return file;
  }
}
