package eyedev._09;

import drjava.util.Tree;
import eyedev._01.Describable;
import eyedev._01.OCRUtil;
import prophecy.common.image.BWImage;

import java.util.List;

public abstract class Segmenter implements Describable {
  public abstract List<Segment> segment(BWImage baseImage);

  // override this to customize persistence
  public void fromTree(Tree tree) {
  }

  // override this to customize persistence
  public Tree toTree() {
    return OCRUtil.treeFor(this);
  }

  public String getDescription() {
    return toTree().toString();
  }
}
