package newinternet.ni02;

import drjava.util.GUIUtil;
import prophecy.common.Prophecy;
import prophecy.common.gui.AutoVMExit;
import prophecy.common.gui.Sheet;

import javax.swing.*;
import java.awt.*;

public class Main {
  private JFrame frame;

  public static void main(String[] args) {
    AutoVMExit.install();
    Prophecy.initUI();
    new Main().showFrame();
  }

  private void showFrame() {
    frame = new JFrame("New Internet : Pirate's Tool of Choice");
    ImageIcon shipImage = new ImageIcon("img/newinternet/pirate_ship3.jpg");

    Sheet sheet = new Sheet();
    sheet.addComponent(new JLabel(shipImage, JLabel.CENTER));
    JLabel label = new JLabel("Welcome to the New Internet.", JLabel.CENTER);
    label.setFont(new Font("Tahoma", Font.PLAIN, 18));
    sheet.addComponent(label);

    frame.getContentPane().add(sheet.getPanel());
    frame.pack();
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    GUIUtil.showFrame(frame);
  }
}
