package prophecy;

import prophecy.m.m26.JarMaker;
import prophecy.m.m26.ProphecyClassPath;
import prophecy.m.m26.ProphecyJarMaker;
import prophecy.m.m33.ClassPath;

import java.io.IOException;

/** Run this to make prophecy.jar for Eye */
public class MakeProphecyLib {
  public static void main(String[] args) throws IOException {
    String jarPath = "standalone/lib-prophecy.jar";

    // lib-prophecy.jar is made for Eye, and Eye doesn't need BeanShell
    ClassPath classPath = ProphecyClassPath.get(false);

    JarMaker maker = new JarMaker(jarPath, (String) null);
    maker.begin();
    
    maker.dirToJar("out/production/Prophecy/prophecy", "prophecy");
    //maker.dirToJar("out/production/Prophecy/drjava", "drjava");
    maker.dirToJar("out/production/Util");
    maker.jarToJar("lib/vats.jar");
    maker.jarToJar("lib/gi-1.2.jar");

    maker.end();
  }
}
