/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.audio.a03;

import prophecy.common.sound.Sound;

public class Cosine extends Sound {
  public Cosine(double sampleRate, double seconds, double freq) {
    super(sampleRate, seconds);
    double f2 = freq/sampleRate;
    for (int i = 0; i < samples.length; i++)
      samples[i] = (float) Math.cos(i*f2);
  }
}