/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.audio.a06;

import prophecy.common.Marker;

public class Section {
  public final Marker begin, end;

  public Section(Marker begin, Marker end) {
    this.begin = begin;
    this.end = end;
  }

  public boolean contains(Marker marker) {
    return begin.before(marker) && end.after(marker);
  }
}