/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.audio.a09;

public class MinMax<A> {
  A min, max;
  double minValue, maxValue;

  public void add(A a, double value) {
    if (min == null || value < minValue) {
      min = a;
      minValue = value;
    }
    if (max == null || value > maxValue) {
      max = a;
      maxValue = value;
    }
  }

  public A getMin(A def) {
    return min != null ? min : def;
  }

  public A getMax(A def) {
    return max != null ? max : def;
  }
}