/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.audio.a09;

import prophecy.common.Prophecy;
import prophecy.audio.a08.SampleOnDisk;
import prophecy.common.Marker;

import java.util.List;

public class SingHalleluja {
  public static void main(String[] args) {
    SampleOnDisk sample = new SampleOnDisk(Prophecy.dataDir() + "audio/singhalleluja_chorus.wav");
    List<Marker> markers = sample.getInfo().getMarkers();
    markers.clear();
    Marker m1 = new Marker(22.111, "bar");
    markers.add(m1);
    Marker m2 = new Marker(25.965, "bar");
    markers.add(m2);
    double bpm = 60/(m2.distanceTo(m1)/8);
    System.out.println("bpm=" + bpm);
    sample.saveInfo();
  }
}