/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.ce.ce01;

import prophecy.common.Timestamp;

public class Evidence {
  private Timestamp timestamp;
  private Object witness;

  public Evidence(Object witness, Timestamp timestamp) {
    this.timestamp = timestamp;
    this.witness = witness;
  }

  public Evidence(Object witness) {
    this.timestamp = new Timestamp();
    this.witness = witness;
  }

  public Timestamp getTimestamp() {
    return timestamp;
  }

  public Object getWitness() {
    return witness;
  }
}