/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.ce.ce02;

import drjava.util.XTestCase;
import prophecy.ce.ce01.Soup;

public class GhostTest extends XTestCase {
  public void test() {
    Soup soup = new Soup();
    new GhostExtension().install(soup);
    Object ingredient = new Object();
    soup.add(ingredient);
    assertEquals(1, soup.size());
    soup.remove(ingredient);
    assertEquals(1, soup.size());
    Ghost ghost = (Ghost) soup.getIngredients().get(0);
    assertEquals(ingredient, ghost.getIngredient());
  }
}