package prophecy.common;

import drjava.util.Port;

public class PortUtil {
  public static <A, B> Port<B> cast(final Port<A> aPort, final Class<A> aClass) {
    return new Port<B>() {
      public void receive(B b) {
        if (aClass.isInstance(b))
          aPort.receive((A) b);
      }
    };
  }
}
