package prophecy.common.gui;

import javax.swing.*;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;

public class SexyTable<A> extends JTable {
  public SexyTable(SexyColumn<A>... columns) {
    super(new SexyTableModel<A>(columns));
  }

  public SexyTableModel<A> getModel() {
    return (SexyTableModel<A>) super.getModel();
  }

  public void setColumns(SexyColumn<A>... columns) {
    setModel(new SexyTableModel<A>(columns));
  }

  public TableColumn getTableColumn(SexyColumn<A> column) {
    return getColumnModel().getColumn(getModel().findColumn(column));
  }
}
