/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common.lifeform;

public class Nobody extends Lifeform {
  private static Nobody nobody = new Nobody();

  private Nobody() {
  }

  public static Nobody get() {
    return nobody;
  }

  public boolean isSomebody() {
    return false;
  }
}