/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.common.omnivore;

import prophecy.t.t04.ExUtil2;

public class Omnivore extends ExUtil2 {
  public static Object reduce(Object object) {
    while (true) {
      Object o = ExUtil2.runIfRunnable(object);
      if (o == object)
        return o;
      object = o;
    }
  }

  public static <C> C reduceTo(Object object, Class<C> aClass) {
    return ExUtil2.convert(reduce(object), aClass);
  }
}