package prophecy.common.socket;

import java.io.InputStream;
import java.io.OutputStream;
import java.io.IOException;
import java.net.SocketAddress;

public interface ISocket {
  InputStream getInputStream() throws IOException;
  OutputStream getOutputStream() throws IOException;
  boolean isClosed();
  void close();
  SocketAddress getRemoteSocketAddress();
}
