/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e05;

import prophecy.common.image.RGBImage;

public abstract class StationPartSpotter {
  public void train(RGBImage clip, boolean isStationPart) {}
  public void trainingDone() {}
  public abstract FuzzyBool isStationPart(RGBImage clip);
}