/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e06;

public class PreciseImageProcessing {
  public static PreciseBWImage add(PreciseBWImage a, PreciseBWImage b) {
    int height = a.getHeight(), width = a.getWidth();
    double[][] pixels = new double[height][width];
    for (int y = 0; y < height; y++)
      for (int x = 0; x < width; x++)
        pixels[y][x] = a.getPixel(x, y) + b.getPixel(x, y);
    return new PreciseBWImage(width, height, pixels);
  }
}