/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e08;

import prophecy.common.image.BWImage;
import prophecy.common.image.ImageProcessing;
import static prophecy.common.image.ImageProcessing.brighten;
import prophecy.common.image.RGBImage;
import prophecy.e.e07.RGBtoBWPreprocessing;

public class HDiffPreprocessing implements RGBtoBWPreprocessing {
  public BWImage preprocessImage(RGBImage clip) {
    return brighten(ImageProcessing.hdiff(clip), 10);
  }
}