/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e10;

import prophecy.common.image.ImageProcessing;
import prophecy.common.image.RGBImage;
import static prophecy.e.e10.VerbalizerUtil.tenSections;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class HVVerbalizer implements ImageVerbalizer {
  public Collection<String> imageToWords(RGBImage image) {
    List<String> words = new ArrayList<String>();
    words.add(tenSections("hdiff", ImageProcessing.hdiff(image).averageBrightness()));
    words.add(tenSections("vdiff", ImageProcessing.vdiff(image).averageBrightness()));
    return words;
  }
}