/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.e.e15;

import prophecy.common.OpenContestRetroUI;
import prophecy.common.OpenContestRun;
import prophecy.e.e10.E10;
import prophecy.e.e10.E10Contestant;

public class RunContest {
  public static void main(String[] args) {
    OpenContestRun<E10Contestant> run = new OpenContestRun<E10Contestant>(SaveContest.e15real);
    run.setUI(new OpenContestRetroUI<E10Contestant>());
    run.addContestant(new E10().makeChampion());
    run.run();
  }
}