/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe01;

public class Eyes {
  private Aibo aibo;

  public Eyes(Aibo aibo) {
    this.aibo = aibo;
  }

  public void off() {
    String s = "ledF1=0";
    for (int i = 2; i <= 14; i++) s += "&ledF" + i + "=0";
    aibo.send(s + ";");
  }

  public void greenOuter(String brightness) {
    aibo.send(greenOuterCmd(brightness));
  }

  public String greenOuterCmd(String brightness) {
    return "global.ledMode=1; ledF1=" + brightness + "& ledF2=" + brightness + ";";
  }

  public void greenInner(double brightness) {
    aibo.send("global.ledMode=1; ledF3=" + brightness + "& ledF4=" + brightness + ";");
  }

  public void greenBoth(double brightness) {
    aibo.send("global.ledMode=1; ledF1=" + brightness + "& ledF2=" + brightness
      + "& ledF3=" + brightness + "& ledF4=" + brightness + ";");    
  }
}