/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe01;

import static drjava.util.MultiCoreUtil.sleep;

import java.io.IOException;

public class TestTail {
  public static void main(String[] args) throws IOException {
    Aibo aibo = new Aibo();
    Head head = new Head(aibo);
    head.normalPosition();
    new Eyes(aibo).off();

    WagTail wagTail = new WagTail(aibo);
    wagTail.start(1/4.0);
    sleep(5*1000);
    System.out.println("3");
    wagTail.setSpeed(1/3.0);
    sleep(5*1000);
    System.out.println("2");
    wagTail.setSpeed(1/2.0);
    sleep(5*1000);
    System.out.println("1");
    wagTail.setSpeed(1/1.0);
    sleep(5*1000);
    /*System.out.println("stop");
    wagTail.stop();
    sleep(5000);*/
  }
}