/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe04;

import static drjava.util.MultiCoreUtil.sleepForever;
import prophecy.joe.joe01.Aibo;
import prophecy.joe.joe02.MarySpeech;

import java.io.IOException;

public class Main04 {
  public static void main(String[] args) throws IOException {
    Joe04 joe = new Joe04(new Aibo());
    final MarySpeech speech = new MarySpeech(joe.getAibo());
    joe.startAction(new LookAround());
    DetectBall detectBall = new DetectBall();
    detectBall.addListener(new UiHuch(speech));
    joe.startAction(detectBall);

    /*while (true) {
      sleep(30000);
      HeapDumper.dumpHeap("joe04.hprof", true);
    }*/
    sleepForever();
  }

}