/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe05;

public class IdleJoe extends WakeSleep {
  private Aibo05 aibo;

  public IdleJoe(final Aibo05 aibo) {
    this.aibo = aibo;
    addListener(new WakeSleepListener() {
      public void onWakeUp() {
        aibo.getHead().randomMovement(10);
      }

      public void onSleep() {
        aibo.getHead().stopMovement();
      }
    });
  }
}