/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.joe.joe07;

import liburbi.UClient;
import prophecy.joe.joe06.AbstractJoe;
import prophecy.joe.joe06.RetroUI06;

public class Joe07Server extends JoeServer {
  public Joe07Server() {
    super("Joe07");
  }

  protected AbstractJoe makeJoe(UClient client) {
    return new Joe07(new RetroUI06("Joe07"), client);
  }

  public static void main(String[] args) {
    Joe07Server server = new Joe07Server();
    server.asMainApplication();
    server.config();
  }

}