/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m05;

import drjava.util.StringUtil;
import prophecy.m.m14.Function;

import java.lang.reflect.Method;

public class BeanUtil {
  public static Object getProperty(Object object, String property) throws Exception {
    Method method = object.getClass().getMethod("get" + StringUtil.firstToUpper(property));
    return method.invoke(object);
  }

  public static Function getFunction(Object object, String methodName) throws Exception {
    Method method = object.getClass().getMethod(methodName);
    return new Function(method);
  }
}