/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m08;

import drjava.util.AbstractLogger;
import drjava.util.Logger;

public class MuxLogger extends AbstractLogger {
  private Logger logger1;
  private Logger logger2;

  public MuxLogger(Logger logger1, Logger logger2) {
    this.logger1 = logger1;
    this.logger2 = logger2;
  }

  public void log(String text) {
    logger1.log(text);
    logger2.log(text);
  }
}