/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m09;

/** a string var that never contains null */
public class StringVar {
  private String value = "";

  public String get() {
    return value;
  }

  public void set(String value) {
    this.value = value == null ? "" : value;
  }

  public String toString() {
    return value;
  }

  public boolean isEmpty() {
    return value.length() == 0;
  }
}