/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m11;

import prophecy.common.lifeform.Activity;
import prophecy.common.lifeform.Lifeform;
import prophecy.common.lifeform.Wait;

public class Cloner extends Lifeform {
  public Cloner() {
    setActivity(new WaitingForWork());
  }

  public class WaitingForWork extends Activity {
    public void introduce(Lifeform lifeform) {
      super.introduce(lifeform);
      if (lifeform instanceof CloneRequest) {
        CloneRequest cloneRequest = (CloneRequest) lifeform;
        if (!cloneRequest.getProcessedBy().isSomebody())
          process(cloneRequest);
      }
    }
  }

  private void process(CloneRequest cloneRequest) {
    cloneRequest.setProcessedBy(this);
    setActivity(new Cloning());
  }

  public class Cloning extends Activity {
    protected void runOnce() {
      // ja, wat nu herr kapellmeister
      // tun wer mal so als wrs fertig
      setActivity(new Wait("Done", 2, new WaitingForWork()));
    }
  }
}