/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m11;

import drjava.util.GUIUtil;
import prophecy.common.lifeform.Box;
import prophecy.common.lifeform.ProphecyEnv;
import prophecy.common.lifeform.Servants;

import javax.swing.*;

public class CloningTest {
  public static void main(String[] args) {
    ProphecyEnv env = new ProphecyEnv("CloningTest");
    env.addInhabitant(new Servants());
    prophecy.common.lifeform.Box original = new Box("hello");
    env.addInhabitant(original);
    Cloner cloner = new Cloner();
    env.addInhabitant(cloner);
    env.addInhabitant(new CloneRequest(original));
    //env.showMainFrame();
    JFrame statusFrame = new StatusView(cloner).asFrame();
    statusFrame.setTitle("CloningTest");
    GUIUtil.showMainFrame(statusFrame);
  }
}