/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m13;

import static drjava.util.GUIUtil.showMainFrame;
import prophecy.common.gui.Sheet;
import prophecy.common.gui.JObject;
import drjava.util.Line;
import prophecy.m.m12.CalculatorStats;

public class PersistObject extends Sheet {
  public PersistObject(Object object) {
    Line line = new Line();
    line.add("Persisting object:");
    line.add(new JObject(object));
    addComponent(line);
  }

  public static void main(String[] args) {
    showMainFrame(new PersistObject(new CalculatorStats()).asFrame());
  }
}