/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m16;

import prophecy.common.lifeform.Lifeform;

public class StringPair extends Lifeform {
  private String a;
  private String b;

  public StringPair(String a, String b) {
    this.a = a;
    this.b = b;
  }

  public String getA() {
    return a;
  }

  public String getB() {
    return b;
  }

  public String toString() {
    return "StringPair: " + a + " | " + b;
  }
}