/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m16;

import prophecy.common.lifeform.Lifeform;

public class StringPairMaker extends Lifeform {
  private String string;

  public void introduce(Lifeform lifeform) {
    super.introduce(lifeform);
    if (lifeform instanceof StringLF) {
      String string = ((StringLF) lifeform).getString();
      if (this.string == null)
        this.string = string;
      else {
        release(new StringPair(this.string, string));
        this.string = null;
      }
    }
  }
}