/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m19;

import drjava.util.GUIUtil;
import drjava.util.Line;
import prophecy.common.lifeform.Lifeform;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ButtonLF extends Lifeform {
  private String text;

  public ButtonLF(String text) {
    this.text = text;
  }

  /** override me */
  public void pressed() {
  }

  public JComponent visualize() {
    JButton button = new JButton(text);
    button.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        pressed();
      }
    });
    return GUIUtil.withInset(new Rows(new Line(button)));
  }

  public String toString() {
    return "Button | " + text;
  }
}