/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m20;

import prophecy.common.lifeform.Lifeform;

public class FlagLF extends Lifeform {
  private boolean flag;

  public void setFlag(boolean flag) {
    if (flag != this.flag) {
      log("New state: " + flag);
      this.flag = flag;
    }
  }

  public boolean isSet() {
    return flag;
  }

  public String toString() {
    return getShortenedClassName() + " | " + flag;
  }
}