/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m21;

public class IncidenceClassifier {
  public String getIncidence(int pos, int neg) {
    if (neg == 0) return "always";
    if (neg == 1 && pos > 1) return "always except once";
    if (pos == 0) return "never";
    if (pos == 1 && neg > 1) return "once";
    if (pos >= neg*2) return "usually";
    if (pos*2 >= neg) return "often";
    return "sometimes";
  }
}