/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m21;

import prophecy.common.lifeform.Lifeform;
import prophecy.m.m02.Report;
import prophecy.m.m09.JReport;

import javax.swing.*;

public class ReportLF extends Lifeform {
  private Report report;

  public JComponent visualize() {
    return report == null ? null : new JReport(report);
  }

  public Report getReport() {
    return report;
  }

  public void setReport(Report report) {
    this.report = report;
  }
}