/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m22;

import drjava.util.AnalogSet;
import drjava.util.Tree;

import java.util.List;

public interface Bot {
  void timePasses(AnalogSet<Tree> event, double seconds);

  void userSays(String text);

  List<String> getAndClearOutput();
}