/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m23;

import drjava.util.XTestCase;
import prophecy.common.lifeform.Lifeform;

public class IntroduceMethodDetectionTest extends XTestCase {
  public void test() {
    TestLF lf1 = new TestLF();
    TestLF lf2 = new TestLF();
    assertNull(lf2.ref);
    lf2.introduce(new Lifeform()); // just anything
    lf2.introduce((Lifeform) lf1);
    assertEquals(lf1, lf2.ref);
  }

  public static class TestLF extends Lifeform {
    Lifeform ref;

    public void introduce(TestLF lf) {
      ref = lf;
    }
  }
}