/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m23;

import prophecy.m.m19.DirMonitor;

import javax.swing.*;

public class ObjectCollectorPanel2 extends ObjectCollectorPanel {
  private DirMonitor dirMonitor;

  public ObjectCollectorPanel2(ObjectCollector collector,
                               DirMonitor dirMonitor) {
    this.dirMonitor = dirMonitor;
    super.init(collector);
  }

  protected JComponent makeDropComponent() {
    return new DirView(dirMonitor);
  }
}