/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m23;

import prophecy.common.lifeform.Lifeform;

public class StringToFileConverter extends Lifeform {
  public void introduce(ConversionTask task) {
    if (task.getInput() instanceof String
      && task.getDestinationClass().equals(FileSet.class)) {
      task.setProposedSolution(new FileSet(new FileDesc(".txt", task.getInput())));
    }
  }
}