/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m27;

import static drjava.util.ObjectUtil.nice;
import drjava.util.SwingTimerHelper;
import drjava.util.Updatable;
import prophecy.common.Source;
import prophecy.common.gui.SingleComponentPanel;

import javax.swing.*;
import java.util.Collection;
import java.util.Vector;

// This class is quite a mess...
public class ObjectList extends SingleComponentPanel implements Updatable {
  private JList list;
  private Source<Collection> source;
  private Renderer renderer;

  public ObjectList() {
    list = new JList();
    setComponent(new JScrollPane(list));
  }

  public void updateEvery(double seconds) {
    new SwingTimerHelper(this, (int) (seconds*1000)).installOn(this);
  }

  public void update() {
    if (source != null) {
      Collection collection = source.get();
      if (collection != null)
        setCollection(collection);
    }
  }

  public void setCollection(Collection collection) {
    Vector vector = new Vector();
    for (Object o : collection) {
      vector.add(new JLabel(nice(o)));
    }
    //vector.addAll(collection);
    list.setListData(vector);
  }

  public Source<Collection> getSource() {
    return source;
  }

  public void setSource(Source<Collection> source) {
    this.source = source;
    update();
  }
}