/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m30;

import drjava.util.XTestCase;

public class ToBooleanTest extends XTestCase {
  public void testSimple() {
    assertEquals(Boolean.TRUE, ExUtil.toBoolean(Boolean.TRUE));
    assertEquals(Boolean.FALSE, ExUtil.toBoolean(Boolean.FALSE));
    assertEquals(null, ExUtil.toBoolean(""));
  }

  public void testExpansion() {
    assertEquals(Boolean.TRUE, ExUtil.toBoolean(new ExpandTo(Boolean.TRUE)));
  }

  public void testTwoLevelExpansion() {
    assertEquals(Boolean.TRUE, ExUtil.toBoolean(new Expandable() {
      public Object expand() {
        return new ExpandTo(Boolean.TRUE);
      }
    }));
  }
}