/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m33;

import java.security.Permission;

public class ForbidAll extends SecurityManager {
  public void checkPermission(Permission perm) {
    if (perm.getName().startsWith("exitVM.")) {
      return;
    }
    forbidden(perm.getName());
  }

  public void checkPermission(Permission perm, Object context) {
    forbidden(perm.getName());
  }

  private void forbidden(String text) {
    throw new SecurityException("You're in a sandbox dude (tried: " + text + ")");
  }
}