/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m35;

import prophecy.common.Trigger;

import java.util.ArrayList;
import java.util.List;

public class Script {
  private List<Cmd> commands = new ArrayList<Cmd>();
  private Trigger trigger = new Trigger();

  public List<Cmd> getCommands() {
    return commands;
  }

  public void add(Cmd cmd) {
    commands.add(cmd);
    trigger.trigger();
  }

  public Trigger getTrigger() {
    return trigger;
  }
}