/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m36;

import drjava.util.Errors;
import drjava.util.Result;
import prophecy.m.m35.Outline;
import prophecy.m.m35.OutlineAnalyzer;

public class OutlineAnalyzer2 extends OutlineAnalyzer {
  protected String analyzeOutline(Outline outline) {
    String analysis = super.analyzeOutline(outline);
    try {
      Result<Parse> parseResult = new TreeParser().parse(outline.getText());
      if (parseResult.isSuccess())
        analysis += "has tree syntax\n";
    } catch (Throwable e) {
      Errors.add(e);
    }
    return analysis;
  }
}