/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m37;

public class Selection {
  private String fullText;
  private int start, end;

  public Selection(String fullText, int start, int end) {
    this.fullText = fullText;
    this.start = start;
    this.end = end;
  }

  public String getFullText() {
    return fullText;
  }

  public int getStart() {
    return start;
  }

  public int getEnd() {
    return end;
  }

  public String getText() {
    return fullText.substring(start, end);
  }

  public boolean isEmpty() {
    return start == end;
  }
}