/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.m.m38;

import drjava.util.Lizt;
import prophecy.t.t08.Bag;
import prophecy.common.SequenceNumber;

public class History {
  private Bag<Object> events = new Bag<Object>();

  public Lizt<Object> getEvents() {
    return events.getSnapshot();
  }

  public void addEvent(Object event) {
    SequenceNumber.assign(event);
    events.add(event);
  }
}