package prophecy.marathon.ma01;

import drjava.util.Attachments;
import prophecy.t.t16.HullMaker;
import prophecy.t.t16.Hull;
import prophecy.t.t12.T12Treeifier;

import java.io.IOException;

public class MakeHull {
  public static void main(String[] args) throws IOException {
    Marathon1 marathon = new Marathon1(80);
    Attachments.add(marathon, new T12Treeifier());
    
    String tempJar = "temp/marathon.jar";
    MakeJar.makeJar(tempJar);
    Hull hull = new HullMaker(tempJar).makeHull(marathon);
    hull.makeJar("standalone/marathon-hull.jar");
    System.exit(0); // keeps running otherwise (why?)
  }
}
