package prophecy.mcos.mcos01;

import drjava.util.Tree;
import prophecy.common.ClassData;
import prophecy.common.FreezeUtil;

public class FreezeUnfreezeCounterProcess {
  public static void main(String[] args) {
    CounterProcess process;

    // load process from disk, or create new process

    ClassData data = ClassData.get(FreezeUnfreezeCounterProcess.class);
    Tree tree = data.get("processState");
    if (tree != null)
      process = (CounterProcess) FreezeUtil.unfreeze(tree);
    else
      process = new CounterProcess();

    OneProcessEnv env = new OneProcessEnv();
    env.init(process);
    for (int i = 0; i < 3; i++) {
      env.step();

      Tree rep = process.freeze().toTree();
      data.set("processState", rep.toTree());
      data.save();
      System.out.println("<frozen to disk> " + rep);
    }
  }
}