package prophecy.mcos.mcos02;

import prophecy.common.Var;

import javax.swing.*;
import java.awt.*;

public class CounterGui extends SingleFrameGui {
  private Var<Long> counterValue = new Var<Long>(0L);
  private JCounter jCounter;

  public CounterGui() {
    setTerminateOnWindowClose(false);
  }

  protected void makeFrame() {
    frame = new JFrame("Counter");
    frame.setSize(300, 200);
    guiEnv.centerOnScreen(frame);

    jCounter = new JCounter() {
      public long getValue() {
        return counterValue.get();
      }
    };

    guiEnv.getContentPane(frame).setLayout(new BorderLayout());
    guiEnv.getContentPane(frame).add(jCounter);
  }

  @Override
  public void step() {
    super.step();
  }

  public void setCounterValue(long value) {
    counterValue.set(value);
  }
}
