package prophecy.mcos.mcos05;

import java.lang.ref.WeakReference;
import prophecy.mcos.mcos01.Process;

public class TaskInfo {
  public long id;
  public String name;
  public String mainClass;
  private WeakReference<Process> processRef;

  public TaskInfo(long id, String name) {
    this.id = id;
    this.name = name;
  }

  public long getId() {
    return id;
  }

  public String getName() {
    return name;
  }

  public String getMainClass() {
    return mainClass;
  }

  public void setProcess(Process p) {
    processRef = new WeakReference<Process>(p);
  }

  public Process getProcess() {
    return processRef == null ? null : processRef.get();
  }
}
