/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.n.n01.setup;

import drjava.util.StdOutDisplay;

public class N01Tests extends TestBattery<OperationModellingSubject> {
  public N01Tests() {
    tests.add(new AppendRTest(0));
    tests.add(new AppendRTest(1));
    tests.add(new AppendRTest(2));
    tests.add(new AppendRTest(50));
  }

  public static void runTests(OperationModellingSubject subject) {
    N01Tests tests = new N01Tests();
    new StdOutDisplay().putnl(tests.test(subject));
  }

}