/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.n.n01.subject1;

import drjava.util.Lizt;
import prophecy.n.n01.setup.Model;
import prophecy.n.n01.setup.Operation;
import prophecy.n.n01.setup.N01Tests;
import prophecy.n.n01.subject3.AbstractOperationModellingSubject;

public class Subject1 extends AbstractOperationModellingSubject implements Model {
  private String emptyWorkspaceValue;

  public Model createModel() {
    emptyWorkspaceValue = workspaceFactory.make().getValue();
    return this;
  }

  public String predictValue(Lizt<Operation> operationSequence) {
    return emptyWorkspaceValue;
  }

  public static void main(String[] args) {
    N01Tests.runTests(new Subject1());
  }
}