/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.n.n02.setup;

import drjava.util.StdOutDisplay;
import drjava.util.Lizt;
import prophecy.n.n01.setup.*;

public class N02Tests extends TestBattery<OperationModellingSubject> {
  public N02Tests() {
    Lizt<Operation> operations = Lizt.<Operation>of(new Append("*"), new Append("!"));
    tests.add(new OperationModellingTest(operations, operations)); 
  }

  public static void runTests(OperationModellingSubject subject) {
    N02Tests tests = new N02Tests();
    new StdOutDisplay().putnl(tests.test(subject));
  }
}