/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.omnivore.o.o01;

import drjava.util.Tree;

import javax.swing.*;

public class FlattenFrameScript extends OmnivoreScript {
  public FlattenFrameScript(ScriptEnv env) {
    super(env);
  }

  @SuppressWarnings({"UnnecessaryLocalVariable"})
  public Tree flattenFrame(JFrame frame) {
    ObjectFlattenerSpec flattenerSpec = new ObjectFlattenerSpec(frame);
    Object flattener = find(flattenerSpec);
    Object treeO = run(flattener);
    Tree tree = cast(treeO, Tree.class);
    return tree;
  }
}