package prophecy.p.p01;

import prophecy.common.Source;

import javax.swing.*;
import java.util.List;
import java.util.Vector;

public class UpdateListFromSource {
  private JList list;
  private Source<List<?>> source;

  public UpdateListFromSource(JList list, Source<List<?>> source) {
    this.list = list;
    this.source = source;
  }

  public void install() {
    source.addListener(new Runnable() {
      public void run() {
        update();
      }
    });
    update();
  }

  private void update() {
    List data = source.get();
    list.setListData(new Vector(data));
  }
}
