package prophecy.p.p04;

import drjava.util.Lizt;

import java.util.ArrayList;
import java.util.List;

public class ObjectInfo {
  private Object object;
  private List<Item> items = new ArrayList<Item>();

  public static class Item {
    private String key;
    private Object value;

    private Item(String key, Object value) {
      this.key = key;
      this.value = value;
    }

    public String getKey() {
      return key;
    }

    public Object getValue() {
      return value;
    }
  }

  public void setObject(Object object) {
    this.object = object;
  }

  public Object getObject() {
    return object;
  }

  public void addItem(String key, Object value) {
    items.add(new Item(key, value));
  }

  public Lizt<Item> getItems() {
    return new Lizt<Item>(items);
  }
}
