/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t01;

import static drjava.util.ObjectUtil.nice;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import prophecy.common.socket.ObjectURL;

public class AddressUtil {
  public static String getAddress(Object o) {
    String address = "Description: " + nice(o) + "\n";
    ObjectURL url = ObjectURL.get(o);
    address += "URL: " + (url == null ? "?" : url.toString()) + "\n";
    return address;
  }

  public static ObjectURL findURLInText(String text) {
    Matcher matcher = Pattern.compile("obj:\\S+").matcher(text);
    return matcher.find() ? new ObjectURL(matcher.group()) : null;
  }
}