/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t01;

import drjava.util.GUIUtil;

import java.io.File;

// simple test without object server
public class DirectoryManagerTest {
  public static void main(String[] args) {
    String dir = "temp/managed";
    new File(dir).mkdirs();
    RunnerSheet runnerSheet = new RunnerSheet();
    CooperativeDirManager directoryManager = new CooperativeDirManager();
    directoryManager.setDir(dir);
    runnerSheet.addNote("Conquering directory: " + dir);
    Object result = directoryManager.install();
    System.out.println("Result: " + result);
    //new ProphecyEnv(new Box(directoryManager), new Box(result)).showMainFrame();
    runnerSheet.setObject(result);
    GUIUtil.showMainFrame(runnerSheet.asFrame());
  }
}