/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t01;

import drjava.util.GUIUtil;

public class RunnerSheetTest {
  public static void main(String[] args) {
    RunnerSheet runnerSheet = new RunnerSheet();
    runnerSheet.setObject(testObject2());
    GUIUtil.showMainFrame(runnerSheet.asFrame("T01: RunnerTest"));
  }

  public static Object testObject1() {
    return new AbstractAction("zing") {
      public Object run() {
        return "zong";
      }
    };
  }

  public static Object testObject2() {
    return new Choice(
      new AbstractAction("zing") {
        public Object run() {
          return "zong";
        }
      },
      new AbstractAction("schniff") {
        public Object run() {
          return "schnuff";
        }
      });
  }
}