/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t01;

import drjava.util.IRunnable;
import prophecy.common.NamedObject;
import prophecy.m.m30.Expandable;
import prophecy.t.t04.ExUtil2;

public class ScriptVar extends NamedObject {
  private Object value;

  public ScriptVar() {
  }

  public ScriptVar(String name) {
    super(name);
  }

  public Object getValue() {
    return value;
  }

  public class Set implements IRunnable {
    private Object source;

    public Set(Object source) {
      this.source = source;
    }

    public Object run() throws Exception {
      value = ExUtil2.runIfRunnable(source);
      return null;
    }
  }

  public class Get implements Expandable {
    public Object expand() {
      return value;
    }
  }
}