/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t02;

import static drjava.util.ObjectUtil.nice;

public class Obstacle {
  private Object reason;

  public Obstacle() {
  }

  public Obstacle(Object reason) {
    this.reason = reason;
  }

  public Object getReason() {
    return reason;
  }

  public String toString() {
    return reason == null ? "Obstacle" : "Obstacle: " + nice(reason);
  }
}