/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t03;

import prophecy.common.socket.SocketHandler;

import java.io.IOException;
import java.net.Socket;

public class DialogClient {
  private String host;
  private int port;

  public DialogClient(String host, int port) {
    this.host = host;
    this.port = port;
  }

  public DialogClient(int port) {
    this.host = "localhost";
    this.port = port;
  }

  public SocketHandler connect() throws IOException {
    System.out.println("Connecting to " + host + ":" + port);
    Socket socket = new Socket(host, port);
    return new SocketHandler(socket);
  }
}