/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t06;

import static drjava.util.ObjectUtil.nice;
import drjava.util.Tree;
import prophecy.common.socket.SocketHandler;

public abstract class Cmd {
  private String name;

  protected Cmd(String name) {
    this.name = name;
  }

  protected Cmd() {
    this.name = nice(getClass()).replaceFirst("^Cmd", "");
  }

  public abstract void run(Tree input, SocketHandler handler);

  public String getName() {
    return name;
  }
}