/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t09;

import prophecy.m.m26.ProphecyJarMaker;
import prophecy.common.socket.ObjectServer;
import prophecy.t.t08.ServerTrayIcon;

import java.io.IOException;

public class T09Server extends ServerTrayIcon {
  public T09Server() {
    super("T09");
  }

  public static void main(String[] args) {
    T09Server t09 = new T09Server();
    t09.install();
    t09.autoClose();
  }

  public ObjectServer makeObjectServer() {
    ObjectServer objectServer = new ObjectServer();
    objectServer.addObject("ServerInfo", new ServerInfo());
    return objectServer;
  }

  public static class MakeJar {
    public static void main(String[] args) throws IOException {
      ProphecyJarMaker.makeJar("standalone/t09.jar", T09Server.class);
    }
  }
}