/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.t.t13;

import drjava.util.Tree;
import prophecy.common.socket.SocketClient;

public class LogOperatorClient extends SocketClient {
  public void openLog(String logName) {
    cmd(new Tree("Open").add(logName));
  }

  public void log(Tree tree) {
    cmd(new Tree("Log").add(tree));
  }

  public void closeLog() {
    cmd(new Tree("Close"));
  }

}