package prophecy.t.t16;

import prophecy.common.Prophecy;
import prophecy.p.p02.ObjectDatabase;
import prophecy.common.socket.ObjectURL;
import prophecy.common.socket.ObjectServer;

import java.io.IOException;

public class T16AgentServer {
  public static void main(String[] args) throws IOException {
    Prophecy.initHeadless();
    startServer();
  }

  public static ObjectURL startServer() throws IOException {
    ObjectServer objectServer = new ObjectServer().start();
    ObjectDatabase objectDB = new ObjectDatabase("memory/t16/ObjectDB");
    return objectServer.addObject("AgentEntryPoint", new AgentEntryPoint(objectDB));
  }
}
