package prophecy.t.t17;

import drjava.util.Tree;
import prophecy.common.socket.SocketHandler;

public class PasswordClient {
  private String password;

  public PasswordClient(String password) {
    this.password = password;
  }

  public void logIn(SocketHandler socketHandler) {
    String greeting = socketHandler.readLine();
    if (!greeting.contains("password"))
      throw new RuntimeException("Unexpected greeting: " + greeting);
    socketHandler.println(new Tree("try").add(password));
    socketHandler.expectOK();
  }
}
