package prophecy.t.t17;

import prophecy.common.Prophecy;
import prophecy.p.p02.ObjectDatabase;
import prophecy.common.socket.ObjectURL;
import prophecy.common.socket.ObjectServer;
import prophecy.t.t16.AgentEntryPoint;

import java.io.IOException;

public class T17ProtectedAgentServer {
  public static void main(String[] args) throws IOException {
    Prophecy.initHeadless();
    startServer();
  }

  public static ObjectURL startServer() throws IOException {
    ObjectServer objectServer = new ObjectServer().start();
    ObjectDatabase objectDB = new ObjectDatabase("memory/t17/AgentDB");
    AgentEntryPoint agentEntryPoint = new AgentEntryPoint(objectDB);
    PasswordCheck passwordCheck = new PasswordCheck("t17");
    passwordCheck.setFollowUp(agentEntryPoint);
    return objectServer.addObject("AgentEntryPoint", passwordCheck);
  }
}