/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v06;

import static drjava.util.ObjectUtil.toNiceString;
import prophecy.common.InspectionProxy;

public class Evidence implements EvaluationItem, InspectionProxy {
  private Object object;

  public Evidence(Object object) {
    this.object = object;
  }

  public double getScore() {
    return 0;
  }

  public Object getObject() {
    return object;
  }

  public String toString() {
    return "Evidence: " + toNiceString(object);
  }
}