/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package prophecy.video.v06;

import prophecy.common.Prophecy;
import prophecy.common.ContestOnDisk;
import prophecy.common.image.ImageSet;

public class V06 {
  public static ContestOnDisk<ObjectDetectionContest, ObjectDetector> contestOnDisk
    = new ContestOnDisk<ObjectDetectionContest, ObjectDetector>("v06");

  public static void main(String[] args) {
    contestOnDisk.save(new ObjectDetectionContest(ImageSet.allImages(Prophecy.dataDir() + "v06"), "square"));
  }
}