/*
(C) 2007 Stefan Reich (jazz@drjava.de)
This source file is part of Project Prophecy.
For up-to-date information, see http://www.drjava.de/prophecy

This source file is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation, version 2.1.
*/

package sorttreetable;

import java.util.Comparator;

/***
 * A Comparator interface with two methods for passing 'column' and 
 * sortOrder information. This information will always be set before
 * the actual sorting takes place.
 * 
 * @author Vincent Vollers
 */
public interface SortTableComparator extends Comparator {
	public void setColumn(int column);
	public void setAscending(boolean ascending);
}