package tinybrain.tb01;

import drjava.util.Tree;

import java.util.ArrayList;
import java.util.List;

public class Script {
  private List<IO> lines = new ArrayList<IO>();

  public void add(IO line) {
    lines.add(line);
  }

  public List<IO> getLines() {
    return lines;
  }

  public void add(String in, String out) {
    add(new IO(in, out));
  }

  public Tree toTree() {
    Tree tree = new Tree("script");
    for (IO line : lines) {
      tree.add(line.toTree());
    }
    return tree;
  }
}
